<?php
/*
  $Id: more_pics.php, v 2.0.5 2009/01/20 kymation Exp $
  $Loc: catalog/includes/modules/ $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2008 osCommerce

  Released under the GNU General Public License
*/


  if (MORE_PICS_TABLE_LOCATION == 'sides') {
    if (MORE_PICS_TABLE_ALIGNMENT == 'left') {
      echo '<div style="float:left;">';
    } elseif (MORE_PICS_TABLE_ALIGNMENT == 'right') {
      echo '<div style="float:right;">';
    }
  }
?>
<table border="0" width="100%" cellspacing="0" cellpadding="6">
  <tr>
    <td valign="top">
<!-- products_morepics_box //-->
<?php      
    // Add restrictions to the query based on admin settings
    $and_sql = '';
    if (MORE_PICS_GROUP_WITH_CATEGORY == 'false') {
      $and_sql .= " and category_page = '0' ";
    }
    if (MORE_PICS_GROUP_WITH_PRODUCTS == 'false') {
      $and_sql .= " and product_page = '0' ";
    }
    if (MORE_PICS_GROUP_WITH_POPUP == 'false') {
      $and_sql .= " and popup_page = '0' ";
    }
    
    $products_id = (int) $_GET['products_id'];
    $products_images_query = tep_db_query ("select image_filename, 
                                                   images_order,
                                                   category_page,
                                                   product_page,
                                                   popup_page
                                            from " . TABLE_PRODUCTS_IMAGES . "
                                            where products_id =  '" . $products_id . "'
                                              " . $and_sql . "
                                            order by images_order ASC
                                         ");
    $num_products_images = tep_db_num_rows ($products_images_query);

    // Check that we have images to show
    if ($num_products_images > 0) {

      // The box header (Used only if the Stock box format is selected)
      $info_box_heading = array();
      $info_box_heading[] = array('text' => TEXT_PRODUCTS_IMAGES);

      // Choose the format to display images
      if (MORE_PICS_USE_CSS_FORMAT == 'false') { // Show the classic grid arrangement of images
        // Initialize variables we'll use later
        $mo_row = 0;
        $mo_col = 0;
        $image_no = 0;
        $info_box_contents = array();
        $mopics_image_width = (MORE_PICS_RESTRICT_IMAGE_SIZE == 'true' ? MORE_PICS_IMAGE_WIDTH : '');
        $mopics_image_height = (MORE_PICS_RESTRICT_IMAGE_SIZE == 'true'? MORE_PICS_IMAGE_HEIGHT : '');
      
        // Loop through the images and build the box contents
        while ($images = tep_db_fetch_array ($products_images_query) ) {
          // Stop if we've reached the row limit
          if ($mo_row > MORE_PICS_NUMBER_OF_ROWS - 1)  break;
          // Add the image to the string
          $info_box_contents_string = '<script language="javascript"><!--
            document.write(\'<a href="javascript:popupWindow(\\\'' . tep_href_link (FILENAME_POPUP_IMAGE, 'pID=' . $product_info['products_id'] . '&display=' . $image_no) . '\\\')">' . tep_image (DIR_WS_IMAGES . $images['image_filename'], addslashes ($product_info['products_name']), $mopics_image_width, $mopics_image_height, 'hspace="5" vspace="5"') . '<br>' . tep_image (DIR_WS_IMAGES . 'zoom.gif') . '</a>\');
            //--></script><noscript>
            <a href="' . tep_href_link (DIR_WS_IMAGES . $images['image_filename']) . '" target="_blank">' . tep_image (DIR_WS_IMAGES . $images['image_filename'], $product_info['products_name'], $mopics_image_width, $mopics_image_height, 'hspace="5" vspace="5"') . '<br>' . tep_image (DIR_WS_IMAGES . 'zoom.gif') . '</a>
            </noscript>' . "\n";

          $info_box_contents[$mo_row][$mo_col] = array ('align' => MORE_PICS_TABLE_ALIGNMENT,
                                                        'params' => 'class="smallText" width="100%" valign="top"',
                                                        'text' => $info_box_contents_string
                                                       );

          if ($mo_col == MORE_PICS_NUMBER_OF_COLS - 1) { 
            $mo_col = 0; 
            $mo_row++; 
          } else { 
            $mo_col++; 
          } // if ($mo_col ... else
                
        } // while ($images
        
      } else { // Use the CSS box with one large image and thumbnails
        // Initialize variables we'll use later
        $main_image = '';
        $small_images_string = '';
        $large_image_string = '';
        $image_width = '';
        $image_height = '';
        $images_order = 0;
        $products_name = tep_get_products_name ($products_id);
        $info_box_contents = array();

        // If left/right, set small image width; if top/bottom set the height
        if (MORE_PICS_IMAGE_LOCATION == 'Left' || MORE_PICS_IMAGE_LOCATION == 'Right') {
          $image_width = MORE_PICS_IMAGE_WIDTH;
        } else {
          $image_height = MORE_PICS_IMAGE_HEIGHT;
        }
      
        // Set up the table containing the small images
        $small_images_string .= '<table border="0" cellspacing="0" cellpadding="2">' . "\n";
        // Single row if Top or Bottom, so start that here
        if (MORE_PICS_IMAGE_LOCATION == 'Top' || MORE_PICS_IMAGE_LOCATION == 'Bottom') {
          $small_images_string .= '         <tr>' . "\n";
        } 
      
        // Loop through the images and build the box contents
        while ($images = tep_db_fetch_array ($products_images_query) ) {

          // Find the first image to start with in the main box
          if ($images_order == 0)  $main_image = $images['image_filename'];

          // Insert images into the table containing the small images
          // If left or right, start a row every time we go through
          if (MORE_PICS_IMAGE_LOCATION == 'Left' || MORE_PICS_IMAGE_LOCATION == 'Right') {
            $small_images_string .= '         <tr>' . "\n";
          } 
        
          $small_images_string .= '           <td>' . "\n";
          // show thumbnails only if there is more than one image
          if ($num_products_images > 1) {
            $small_images_string .= '             <a href="' . tep_href_link (basename ($PHP_SELF), 'products_id=' . $products_id . '#morepics') . '" name="morepics" ' . MORE_PICS_MOUSE_OPERATION . '="document.MainImage.src=\'' . DIR_WS_IMAGES . $images['image_filename'] . '\'">' . tep_image (DIR_WS_IMAGES . $images['image_filename'], $products_name, $image_width, $image_height, 'class="productsImages"') . '</a>';
          }
          $small_images_string .= '           </td>' . "\n";
        
          // End the row if left or right
          if (MORE_PICS_IMAGE_LOCATION == 'Left' || MORE_PICS_IMAGE_LOCATION == 'Right') {
            $small_images_string .= '         </tr>' . "\n";
          } 
        
          $images_order++;
        } // while ($images
      
        // End the row if on the top or bottom
        if (MORE_PICS_IMAGE_LOCATION == 'Top' || MORE_PICS_IMAGE_LOCATION == 'Bottom') {
          $small_images_string .= '         </tr>' . "\n";
        } 
        $small_images_string .= '       </table>';
      
        // Set up the large image table
        $large_image_string .= '<table border="0" cellspacing="0" cellpadding="2">' . "\n";
        $large_image_string .= '         <tr>' . "\n";
        $large_image_string .= '           <td align=left>';
        $large_image_string .= '             <a name="morepics">';
        $large_image_string .= tep_image (DIR_WS_IMAGES . $main_image, '', '', '', 'name="MainImage" class="productsMainImage"') . "\n";
        $large_image_string .= '             </a>';
        $large_image_string .= '           </td>' . "\n";
        $large_image_string .= '         </tr>' . "\n";
        $large_image_string .= '       </table>';

        // Set up the outer table, based on the selected location of the small images
        $info_box_contents_string = '       <table border="0" cellspacing="0" cellpadding="2">' . "\n";
        $info_box_contents_string .= '         <tr>' . "\n";
        $info_box_contents_string .= '           <td align=left valign="top">';
      
        if (MORE_PICS_IMAGE_LOCATION == 'Left' || MORE_PICS_IMAGE_LOCATION == 'Top') {
          $info_box_contents_string .= $small_images_string;
        } else {
          $info_box_contents_string .= $large_image_string;
        } 

        $info_box_contents_string .= '           </td>' . "\n";
        if (MORE_PICS_IMAGE_LOCATION == 'Top' || MORE_PICS_IMAGE_LOCATION == 'Bottom') {
          $info_box_contents_string .= '         </tr>' . "\n";
          $info_box_contents_string .= '         <tr>' . "\n";
        }
        $info_box_contents_string .= '           <td align=left valign="top">';
      
        if (MORE_PICS_IMAGE_LOCATION == 'Left' || MORE_PICS_IMAGE_LOCATION == 'Top') {
          $info_box_contents_string .= $large_image_string;
        } else {
          $info_box_contents_string .= $small_images_string;
        } 
      
        $info_box_contents_string .= '</td>' . "\n";
        $info_box_contents_string .= '     </tr>' . "\n";
        $info_box_contents_string .= '   </table>' . "\n";

        // Put the contents into the box
        $info_box_contents[0] = array ('align' => MORE_PICS_TABLE_ALIGNMENT,
                                       'params' => 'class="smallText" width="100%" valign="top"',
                                       'text' => $info_box_contents_string
                                      );
      }

      // Output the box in the selected style
      switch (MORE_PICS_BOX_FRAME_STYLE) {
        case 'Plain':
          new borderlessBox ($info_box_contents);
          break;
        case 'Simple':
          new productListingBox ($info_box_contents);
          break;
        case 'Stock':
        default:
          new contentBoxHeading ($info_box_heading, false, false);
          new contentBox ($info_box_contents);
          break;
      }
  }
?>
<!-- products_morepics_box_eof //-->
    </td>
  </tr>
</table>
<?php    if (MORE_PICS_TABLE_LOCATION == 'sides')  echo '</div>';  ?>


 