<?php

// Current EP Version
$curver = '2.8-MS2';

/*
  $Id: easypopulate.php,v 2.8 2006/03/21 TommyVo @ www.ITSS.com.au Exp $
*/

require('includes/application_top.php');

//**** File Splitting Configuration ****
// we attempt to set the timeout limit longer for this script to avoid having to split the files
// NOTE:  If your server is running in safe mode, this setting cannot override the timeout set in php.ini
if (EP_SET_TIME_LIMIT == 'true') {set_time_limit(330);}

//**** Size of products_model in products table ****
// This is automatically set to the maximum defined size of products_model in the products table.  We check to make sure all models are no longer than this value.
global $modelsize;
$table_definition_query=tep_db_query("describe " . TABLE_PRODUCTS);
while ($product_definition=tep_db_fetch_array($table_definition_query)){
   if ($product_definition[Field]=='products_model'){
     if (substr($product_definition[Type],0,7)=='varchar'){
       $modelsize=substr($product_definition[Type],8,strlen($product_definition[Type]));
       $modelsize=substr($modelsize,0,(strlen($modelsize)-1));
     }
   }
}
//**** Price includes tax? ****
global $price_with_tax;
$price_with_tax = (EP_PRICE_INC_TAX =='true' ? 1 : 0);

global $separator;
if (EP_DELIMITER == '\t') {
  $separator = "\t"; // oscommerce stores escaped delimeters in mySQL as a string and not an actual tab.
} else {
$separator = EP_DELIMITER;
}

// change this if you want to download selected product options
// this might be handy, if you have a lot of product options, and your output file exceeds 256 columns (which is the max. limit MS Excel is able to handle)
global $attribute_options_select;
//$attribute_options_select = array('Size', 'Model'); // uncomment and fill with product options name you wish to download // comment this line, if you wish to download all product options
// VJ product attributes end

//*******************************
// If you are running a pre-Nov1-2002 snapshot of OSC, then we need this include line to avoid
// errors like:
//   undefined function tep_get_uploaded_file
 if (!function_exists(tep_get_uploaded_file)){
        include (DIR_WS_FUNCTIONS . 'easypopulate_functions.php');
 }
//*******************************

// VJ product attributes begin
global $attribute_options_array;
$attribute_options_array = array();

if (EP_PROD_ATTR == 'true') {
        if (is_array($attribute_options_select) && (count($attribute_options_select) > 0)) {
                foreach ($attribute_options_select as $value) {
                        $attribute_options_query = "select distinct products_options_id from " . TABLE_PRODUCTS_OPTIONS . " where products_options_name = '" . $value . "'";

                        $attribute_options_values = tep_db_query($attribute_options_query);

                        if ($attribute_options = tep_db_fetch_array($attribute_options_values)){
                                $attribute_options_array[] = array('products_options_id' => $attribute_options['products_options_id']);
                        }
                }
        } else {
                $attribute_options_query = "select distinct products_options_id from " . TABLE_PRODUCTS_OPTIONS . " order by products_options_id";

                $attribute_options_values = tep_db_query($attribute_options_query);

                while ($attribute_options = tep_db_fetch_array($attribute_options_values)){
                        $attribute_options_array[] = array('products_options_id' => $attribute_options['products_options_id']);
                }
        }
}
// VJ product attributes end

global $filelayout, $filelayout_count, $filelayout_sql, $langcode, $fileheaders;

// these are the fields that will be defaulted to the current values in the database if they are not found in the incoming file
global $default_these;
$default_these = array(
        'v_products_image',
        'v_products_subimage1',
        'v_products_subimage2',
        'v_products_subimage3',
        'v_products_subimage4',
        'v_products_subimage5',
        'v_products_subimage6',
        'v_categories_id',
        'v_specials_price',
		'v_specials_date_avail',
		'v_specials_expires_date',
        'v_products_price',
        'v_products_quantity',
        'v_products_weight',
        'v_date_avail',
        'v_instock',
        'v_tax_class_title',
        'v_manufacturers_name',
        'v_manufacturers_id',
        'v_categories_name_1',
        'v_categories_name_2',
        'v_categories_name_3',
        'v_categories_name_4',
        'v_categories_name_5',
        'v_categories_name_6',
        'v_products_dim_type',
        'v_products_length',
        'v_products_width',
        'v_products_height',
        );

//elari check default language_id from configuration table DEFAULT_LANGUAGE
$epdlanguage_query = tep_db_query("select languages_id, name from " . TABLE_LANGUAGES . " where code = '" . DEFAULT_LANGUAGE . "'");
if (tep_db_num_rows($epdlanguage_query)) {
        $epdlanguage = tep_db_fetch_array($epdlanguage_query);
        $epdlanguage_id   = $epdlanguage['languages_id'];
        $epdlanguage_name = $epdlanguage['name'];
} else {
        Echo 'Strange but there is no default language to work... That may not happen, just in case... ';
}

$langcode = ep_get_languages();

if ( $dltype != '' ){
        // if dltype is set, then create the filelayout.  Otherwise it gets read from the uploaded file
        ep_create_filelayout($dltype); // get the right filelayout for this download
}

//*******************************
// E N D
// INITIALIZATION
//*******************************

//*******************************
// DOWNLOAD FILE
//*******************************
if ( $download == 'stream' or  $download == 'tempfile' ){
        $filestring = ""; // this holds the csv file we want to download
        $result = tep_db_query($filelayout_sql);
        $row =  tep_db_fetch_array($result);

//SETUP ATTRIBUTES ARRAY
		if (EP_USE_AO == 'true') {
		$attribute_values_sql = "select  products_id, options_id, options_values_id, options_values_price, price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " ORDER BY products_attributes_id";
		$attributes_query= tep_db_query($attribute_values_sql);
		$attributes_array=array();
		while($row_attributes= tep_db_fetch_array($attributes_query)){
		$attributes_array[$row_attributes["products_id"]."_".$row_attributes["options_id"]."_".$row_attributes["options_values_id"]]=array("products_id"=>$row_attributes["products_id"],
																								"options_id"=>$row_attributes["options_id"],
																								"options_values_id"=>$row_attributes["options_values_id"],
																								"options_values_price"=>$row_attributes["options_values_price"],
																								"price_prefix"=>$row_attributes["price_prefix"]
																								);
		}
		$attributes_values_sql= "select products_options_values_id, products_options_values_name, language_id from " . TABLE_PRODUCTS_OPTIONS_VALUES;
		$attributes_values_query = tep_db_query($attributes_values_sql);
		$attributes_values_array=array();
		while($row_attributes_values= tep_db_fetch_array($attributes_values_query)){
		$attributes_values_array[$row_attributes_values["products_options_values_id"]."_".$row_attributes_values["language_id"]]=array("products_options_values_id"=>$row_attributes_values["products_options_values_id"],
																								"products_options_values_name"=>$row_attributes_values["products_options_values_name"]
																								);
		}
		$attribute_options_lang_sql= "select products_options_id, products_options_name, language_id from " . TABLE_PRODUCTS_OPTIONS;
		$attribute_options_lang_query = tep_db_query($attribute_options_lang_sql);
		$attribute_options_lang_array=array();
		while($row_attributes_lang= tep_db_fetch_array($attribute_options_lang_query)){
		$attribute_options_lang_array[$row_attributes_lang["products_options_id"]."_".$row_attributes_lang["language_id"]]=array("products_options_id"=>$row_attributes_lang["products_options_id"],
																								"products_options_name"=>$row_attributes_lang["products_options_name"]
																								);
		}
		} else {
		}
// END SETUP ATTRIBUTES ARRAY

        // Here we need to allow for the mapping of internal field names to external field names
        // default to all headers named like the internal ones
        // the field mapping array only needs to cover those fields that need to have their name changed
        if ( count($fileheaders) != 0 ){
                $filelayout_header = $fileheaders; // if they gave us fileheaders for the dl, then use them
        } else {
                $filelayout_header = $filelayout; // if no mapping was spec'd use the internal field names for header names
        }
        //We prepare the table heading with layout values
        foreach( $filelayout_header as $key => $value ){
                $filestring .= $key . $separator;
        }
        // now lop off the trailing tab
        $filestring = substr($filestring, 0, strlen($filestring)-1); 

        // set the type
        if ( $dltype == 'froogle' ){
                $endofrow = "\n";
        } else {
                // default to normal end of row
                $endofrow = $separator . 'EOREOR' . "\n";
        }
        $filestring .= $endofrow;

        $num_of_langs = count($langcode);
        while ($row){


                // if the filelayout says we need a products_name, get it
                // build the long full froogle image path
                $row['v_products_fullpath_image'] = EP_FROOGLE_IMG . $row['v_products_image'];
                // Other froogle defaults go here for now
                $row['v_froogle_instock']                 = 'Y';
                $row['v_froogle_shipping']                 = '';
                $row['v_froogle_upc']                         = '';
                $row['v_froogle_color']                        = '';
                $row['v_froogle_size']                        = '';
                $row['v_froogle_quantitylevel']                = '';
                $row['v_froogle_manufacturer_id']        = '';
                $row['v_froogle_exp_date']                = '';
                $row['v_froogle_product_type']                = 'OTHER';
                $row['v_froogle_delete']                = '';
                $row['v_froogle_currency']                = 'EUR';
                $row['v_froogle_offer_id']                = $row['v_products_model'];
                $row['v_froogle_product_id']                = $row['v_products_model'];

                // names and descriptions require that we loop thru all languages that are turned on in the store
                foreach ($langcode as $key => $lang){
                        $lid = $lang['id'];

                        // for each language, get the description and set the vals
                        $sql2 = "SELECT *
                                FROM ".TABLE_PRODUCTS_DESCRIPTION."
                                WHERE
                                        products_id = " . $row['v_products_id'] . " AND
                                        language_id = '" . $lid . "'
                                ";
                        $result2 = tep_db_query($sql2);
                        $row2 =  tep_db_fetch_array($result2);

                        // I'm only doing this for the first language, since right now froogle is US only.. Fix later!
                        // adding url for froogle, but it should be available no matter what
                        if (EP_SEF_URLS == 'true'){
                                // if only one language
                                if ($num_of_langs == 1){
                                        $row['v_froogle_products_url_' . $lid] = EP_FROOGLE_PROD . '/products_id/' . $row['v_products_id'];
                                } else {
                                        $row['v_froogle_products_url_' . $lid] = EP_FROOGLE_PROD . '/products_id/' . $row['v_products_id'] . '/language/' . $lid;
                                }
                        } else {
                                if ($num_of_langs == 1){
                                        $row['v_froogle_products_url_' . $lid] = EP_FROOGLE_PROD . '?products_id=' . $row['v_products_id'];
                                } else {
                                        $row['v_froogle_products_url_' . $lid] = EP_FROOGLE_PROD . '?products_id=' . $row['v_products_id'] . '&language=' . $lid;
                                }
                        }

                        $row['v_products_name_' . $lid]         	   = $row2['products_name'];
                        $row['v_products_description_' . $lid]         = $row2['products_description'];
                        $row['v_products_url_' . $lid]                 = $row2['products_url'];
                        $row['v_products_keywords_' . $lid]            = $row2['products_keywords'];
                        $row['v_products_metadescription_' . $lid]     = $row2['products_metadescription'];
                        $row['v_products_pagetitle_' . $lid]           = $row2['products_pagetitle'];

                        // froogle advanced format needs the quotes around the name and desc
                        $row['v_froogle_products_name_' . $lid] = '"' . strip_tags(str_replace('"','""',$row2['products_name'])) . '"';
                        $row['v_froogle_products_description_' . $lid] = '"' . strip_tags(str_replace('"','""',$row2['products_description'])) . '"';

                        // support for Randelia Metatgs here
                        if(isset($filelayout['v_products_pagetitle_' . $lid])){
                                $row['v_products_pagetitle_' . $lid]         = $row2['products_pagetitle'];
                                $row['v_products_metadescription_' . $lid]         = $row2['products_metadescription'];
                                $row['v_products_keywords_' . $lid]         = $row2['products_keywords'];
                        }
                        // end support for Randelia Metatags
                }

                // for the categories, we need to keep looping until we find the root category

                // start with v_categories_id
                // Get the category description
                // set the appropriate variable name
                // if parent_id is not null, then follow it up.
                // we'll populate an aray first, then decide where it goes in the
                $thecategory_id = $row['v_categories_id'];
                
                $fullcategory = ''; // this will have the entire category stack for froogle
                for( $categorylevel=1; $categorylevel<EP_MAX_CAT+1; $categorylevel++){
                        if ($thecategory_id){
                                $sql2 = "SELECT categories_name
                                        FROM ".TABLE_CATEGORIES_DESCRIPTION."
                                        WHERE        
                                                categories_id = " . $thecategory_id . " AND
                                                language_id = " . $epdlanguage_id ;

                                $result2 = tep_db_query($sql2);
                               
                                $row2 =  tep_db_fetch_array($result2);
                              
                                // only set it if we found something
                                $temprow['v_categories_name_' . $categorylevel] = $row2['categories_name'];
                                // now get the parent ID if there was one
                                $sql3 = "SELECT parent_id
                                        FROM ".TABLE_CATEGORIES."
                                        WHERE
                                                categories_id = " . $thecategory_id;
                                $result3 = tep_db_query($sql3);
                                $row3 =  tep_db_fetch_array($result3);
                                $theparent_id = $row3['parent_id'];
                                if ($theparent_id != ''){
                                        // there was a parent ID, lets set thecategoryid to get the next level
                                        $thecategory_id = $theparent_id;
                                } else {
                                        // we have found the top level category for this item,
                                        $thecategory_id = false;
                                }
                                //$fullcategory .= " > " . $row2['categories_name'];
                                $fullcategory = $row2['categories_name'] . " > " . $fullcategory;
                        } else {
                                $temprow['v_categories_name_' . $categorylevel] = '';
                        }
                }
                // now trim off the last ">" from the category stack
                $row['v_category_fullpath'] = substr($fullcategory,0,strlen($fullcategory)-3);

                // temprow has the old style low to high level categories.
                $newlevel = 1;
                // let's turn them into high to low level categories
                for( $categorylevel=6; $categorylevel>0; $categorylevel--){
                        if ($temprow['v_categories_name_' . $categorylevel] != ''){
                                $row['v_categories_name_' . $newlevel++] = $temprow['v_categories_name_' . $categorylevel];
                        }
                }
                // if the filelayout says we need a manufacturers name, get it
                if (isset($filelayout['v_manufacturers_name'])){
                        if ($row['v_manufacturers_id'] != ''){
                                $sql2 = "SELECT manufacturers_name
                                        FROM ".TABLE_MANUFACTURERS."
                                        WHERE
                                        manufacturers_id = " . $row['v_manufacturers_id']
                                        ;
                                $result2 = tep_db_query($sql2);
                                $row2 =  tep_db_fetch_array($result2);
                                $row['v_manufacturers_name'] = $row2['manufacturers_name'];
                        }
                }
                // If you have other modules that need to be available, put them here

                // VJ product attribs begin
                if (isset($filelayout['v_attribute_options_id_1'])){
                        $languages = tep_get_languages();

                        $attribute_options_count = 1;
      foreach ($attribute_options_array as $attribute_options) {
                                $row['v_attribute_options_id_' . $attribute_options_count] = $attribute_options['products_options_id'];

                                for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                        $lid = $languages[$i]['id'];
										if (EP_USE_AO == 'true') {
										$attribute_options_languages=$attribute_options_lang_array[(int)$attribute_options['products_options_id']."_".(int)$lid];
										} else {
                                        $attribute_options_languages_query = "select products_options_name from " . TABLE_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$attribute_options['products_options_id'] . "' and language_id = '" . (int)$lid . "'";
                                        $attribute_options_languages_values = tep_db_query($attribute_options_languages_query);
                                        $attribute_options_languages = tep_db_fetch_array($attribute_options_languages_values);
										}
                                        $row['v_attribute_options_name_' . $attribute_options_count . '_' . $lid] = $attribute_options_languages['products_options_name'];
                                }

                                $attribute_values_query = "select products_options_values_id from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$attribute_options['products_options_id'] . "' order by products_options_values_id";

                                $attribute_values_values = tep_db_query($attribute_values_query);

                                $attribute_values_count = 1;
                                while ($attribute_values = tep_db_fetch_array($attribute_values_values)) {
                                        $row['v_attribute_values_id_' . $attribute_options_count . '_' . $attribute_values_count]         = $attribute_values['products_options_values_id'];
										if (EP_USE_AO == 'true') {
										$attribute_values_price=$attributes_array[(int)$row['v_products_id']."_".(int)$attribute_options['products_options_id']."_".(int)$attribute_values['products_options_values_id']];
										} else {
                                        $attribute_values_price_query = "select options_values_price, price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . (int)$row['v_products_id'] . "' and options_id = '" . (int)$attribute_options['products_options_id'] . "' and options_values_id = '" . (int)$attribute_values['products_options_values_id'] . "'";
                                        $attribute_values_price_values = tep_db_query($attribute_values_price_query);
                                        $attribute_values_price = tep_db_fetch_array($attribute_values_price_values);
										}
                                        $row['v_attribute_values_price_' . $attribute_options_count . '_' . $attribute_values_count]         = $attribute_values_price['price_prefix'] . $attribute_values_price['options_values_price'];

										//// attributes stock add start        
										if (EP_CONTRIB_QTPRO == 'true') {
										$stock_attributes = $attribute_options['products_options_id'].'-'.$attribute_values['products_options_values_id'];
                   
										$stock_quantity_query = tep_db_query("select products_stock_quantity from " . TABLE_PRODUCTS_STOCK . " where products_id = '" . (int)$row['v_products_id'] . "' and products_stock_attributes = '" . $stock_attributes . "'");
										$stock_quantity = tep_db_fetch_array($stock_quantity_query);
										$row['v_attribute_values_stock_' . $attribute_options_count . '_' . $attribute_values_count] = $stock_quantity['products_stock_quantity'];
										}
										//// attributes stock add end  
                                        
                                        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                $lid = $languages[$i]['id'];
												if (EP_USE_AO == 'true') {
												$attribute_values_languages=$attributes_values_array[(int)$attribute_values['products_options_values_id']."_".(int)$lid];
												} else {
                                                $attribute_values_languages_query = "select products_options_values_name from " . TABLE_PRODUCTS_OPTIONS_VALUES . " where products_options_values_id = '" . (int)$attribute_values['products_options_values_id'] . "' and language_id = '" . (int)$lid . "'";
                                                $attribute_values_languages_values = tep_db_query($attribute_values_languages_query);
                                                $attribute_values_languages = tep_db_fetch_array($attribute_values_languages_values);
												}
                                                $row['v_attribute_values_name_' . $attribute_options_count . '_' . $attribute_values_count . '_' . $lid] = $attribute_values_languages['products_options_values_name'];
                                        }

                                        $attribute_values_count++;
                                }

                                $attribute_options_count++;
                        }
                }
                // VJ product attribs end
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                // this is for the separate price per customer module
				if (EP_CONTRIB_SPPC == 'true') {
					if (isset($filelayout['v_customer_price_1'])){
							$sql2 = "SELECT
											customers_group_price,
											customers_group_id
									FROM
											".TABLE_PRODUCTS_GROUPS."
									WHERE
									products_id = " . $row['v_products_id'] . "
									ORDER BY
									customers_group_id"
									;
							$result2 = tep_db_query($sql2);
							$ll = 1;
							$row2 =  tep_db_fetch_array($result2);
							while( $row2 ){
									$row['v_customer_group_id_' . $ll]         = $row2['customers_group_id'];
									$row['v_customer_price_' . $ll]         = $row2['customers_group_price'];
									$row2 = tep_db_fetch_array($result2);
									$ll++;
							}
					}
				}
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                if ($dltype == 'froogle'){
                        // For froogle, we check the specials prices for any applicable specials, and use that price
                        // by grabbing the specials id descending, we always get the most recently added special price
                        // I'm checking status because I think you can turn off specials
                        $sql2 = "SELECT
                                        specials_new_products_price
                                FROM
                                        ".TABLE_SPECIALS."
                                WHERE
                                products_id = " . $row['v_products_id'] . " and
                                status = 1 and
                                expires_date < CURRENT_TIMESTAMP
                                ORDER BY
                                        specials_id DESC"
                                ;
                        $result2 = tep_db_query($sql2);
                        $ll = 1;
                        $row2 =  tep_db_fetch_array($result2);
                        if( $row2 ){
                                // reset the products price to our special price if there is one for this product
                                $row['v_products_price']         = $row2['specials_new_products_price'];
                        }
                }

                //elari -
                //We check the value of tax class and title instead of the id
                //Then we add the tax to price if $price_with_tax is set to 1
                $row_tax_multiplier                 = tep_get_tax_class_rate($row['v_tax_class_id']);
                		$row['v_tax_class_title'] 	= tep_get_tax_class_title($row['v_tax_class_id']);
                $row['v_products_price']         = round($row['v_products_price'] +
                                ($price_with_tax * $row['v_products_price'] * $row_tax_multiplier / 100),2);


                // Now set the status to a word the user specd in the config vars
                if ( $row['v_status'] == '1' ){
                        $row['v_status'] = EP_STATUS_ACTIVE;
                } else {
                        $row['v_status'] = EP_STATUS_INACTIVE;
                }

                // remove any bad things in the texts that could confuse EasyPopulate
                $therow = '';
                foreach( $filelayout as $key => $value ){
                        //echo "The field was $key<br>";

                        $thetext = $row[$key];
                        // kill the carriage returns and tabs in the descriptions, they're killing me!
                        $thetext = str_replace("\r",' ',$thetext);
                        $thetext = str_replace("\n",' ',$thetext);
                        $thetext = str_replace("\t",' ',$thetext);
                        // and put the text into the output separated by tabs
                        $therow .= $thetext . $separator;
                }

                // lop off the trailing tab, then append the end of row indicator
                $therow = substr($therow,0,strlen($therow)-1) . $endofrow;

                $filestring .= $therow;
                // grab the next row from the db
                $row =  tep_db_fetch_array($result);
        }

        #$EXPORT_TIME=time();
        $EXPORT_TIME = strftime('%Y%b%d-%H%I');
        if ($dltype=="froogle"){
                $EXPORT_TIME = "FroogleEP" . $EXPORT_TIME;
        } else {
                $EXPORT_TIME = "EP" . $EXPORT_TIME;
        }

        // now either stream it to them or put it in the temp directory
        if ($download == 'stream'){
                //*******************************
                // STREAM FILE
                //*******************************
                header("Content-type: application/vnd.ms-excel");
                header("Content-disposition: attachment; filename=$EXPORT_TIME.txt");
// Changed if using SSL, helps prevent program delay/timeout (add to backup.php also)
        //        header("Pragma: no-cache");
if ($request_type== 'NONSSL'){
header("Pragma: no-cache");
 } else {
header("Pragma: ");
}
                header("Expires: 0");
                echo $filestring;
                die();
        } else {
                //*******************************
                // PUT FILE IN TEMP DIR
                //*******************************
                $tmpfname = DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR . "$EXPORT_TIME.txt";
                //unlink($tmpfname);
                $fp = fopen( $tmpfname, "w+");
                fwrite($fp, $filestring);
                fclose($fp);
                echo "You can get your file in the Tools/Files under " . EP_TEMP_DIR . "EP" . $EXPORT_TIME . ".txt";
                die();
        }
}
//*******************************
// E N D
// DOWNLOAD FILE
//*******************************
?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>

<table border="0" width="100%" cellspacing="2" cellpadding="2">
<tr>
<td width="<?php echo BOX_WIDTH; ?>" valign="top" height="844">
<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<?php require(DIR_WS_INCLUDES . 'column_left.php');?>
</table></td>
<td class="pageHeading" valign="top">


<?php echo tep_draw_separator('pixel_trans.gif', '1', '30'); ?>
<br>
<?php echo HEADING_TITLE_EP ?>
<br>
<?php echo tep_draw_separator('pixel_trans.gif', '1', '30'); ?>

<div align="center">
<table width="85%" border="1" cellspacig="0" cellpadding="10" bgcolor="e7e7ce">
        <tr>
          <td width="75%">
           <FORM ENCTYPE="multipart/form-data" ACTION="easypopulate.php?split=0" METHOD=POST>
              <p>
              <div align = "left">
                <p><b><?php echo IMPORT_EP; ?></b></p>
                <p>
                  <INPUT TYPE="hidden" name="MAX_FILE_SIZE" value="100000000">
                <p></p>
                  <input name="usrfl" type="file" size="50">
                <input type="submit" name="buttoninsert" value="Insert into db">
                <br>
                </p>
              </div>

            </form>

           <FORM ENCTYPE="multipart/form-data" ACTION="easypopulate.php?split=1" METHOD=POST>
              <p>
              <div align = "left">
                <p><b><?php echo SPLIT_EP; ?></b></p>
                <p>
                  <INPUT TYPE="hidden" name="MAX_FILE_SIZE" value="1000000000">
                <p></p>
                  <input name="usrfl" type="file" size="50">
                <input type="submit" name="buttonsplit" value="Split file">
                <br>

                </p>
              </div>

            </form>

           <FORM ENCTYPE="multipart/form-data" ACTION="easypopulate.php" METHOD=POST>
              <p>
              <div align = "left">
                <p><b><?php echo IMPORT_TMP_EP; ?><? echo EP_TEMP_DIR; ?><? echo " :" ?></b></p>
                <p class="smallText">
                <INPUT TYPE="text" name="localfile" size="50">
                  <input type="submit" name="buttoninsert" value="Insert into db">
                  <br>
                </p>
              </div>

            </form>




                <p><b><?php echo DOWNLOAD_EP; ?></b></p>

              <!-- Download file links -  Add your custom fields here -->
          <a href="easypopulate.php?download=stream&dltype=full"><?php echo DOWNLOAD_EP_2; ?><b><?php echo COMPLETE_EP; ?></b></a><br>
          <a href="easypopulate.php?download=stream&dltype=priceqty"><?php echo DOWNLOAD_EP_2; ?><b><?php echo MODEL_PRICE_QUANTITY_EP; ?></b></a><br>
          <a href="easypopulate.php?download=stream&dltype=category"><?php echo DOWNLOAD_EP_2; ?><b><?php echo MODEL_CATEGORY_EP; ?></b></a><br>
         
<!-- VJ product attributes begin //-->
<?php if (EP_PROD_ATTR == 'true') {?>
          <a href="easypopulate.php?download=stream&dltype=attrib"><?php echo DOWNLOAD_EP_2; ?><b><?php echo MODEL_ATTRIBUTES_EP; ?></b></a><br>
<?php  }?>
<!-- VJ product attributes end //-->
          <a href="easypopulate.php?download=stream&dltype=extra_field"><?php echo DOWNLOAD_EP_2; ?><b><?php echo EXTRA_FIELD_EP; ?></b></a><br>
		  <a href="easypopulate.php?download=stream&dltype=froogle"><?php echo DOWNLOAD_EP_2; ?><b><?php echo FROOGLE_EP; ?></b></a><br>


                <p><b><?php echo CREATE_EP; ?><? echo EP_TEMP_DIR; ?><? echo " :" ?></b></p>
          <a href="easypopulate.php?download=tempfile&dltype=full"><?php echo CREATE_EP_2; ?><b><?php echo COMPLETE_EP; ?></b></a><br>
          <a href="easypopulate.php?download=tempfile&dltype=priceqty"><?php echo CREATE_EP_2; ?><b><?php echo MODEL_PRICE_QUANTITY_EP; ?></b></a><br>
          <a href="easypopulate.php?download=tempfile&dltype=category"><?php echo CREATE_EP_2; ?><b><?php echo MODEL_CATEGORY_EP; ?></b></a><br>
<!-- VJ product attributes begin //-->
<?php if (EP_PROD_ATTR == 'true') {?>
          <a href="easypopulate.php?download=tempfile&dltype=attrib"><?php echo CREATE_EP_2; ?><b><?php echo MODEL_ATTRIBUTES_EP; ?></b></a><br>
<?php  }?>
<!-- VJ product attributes end //-->
		  <a href="easypopulate.php?download=tempfile&dltype=extra_field"><?php echo CREATE_EP_2; ?><b><?php echo EXTRA_FIELD_EP; ?></b></a><br>      
		  <a href="easypopulate.php?download=tempfile&dltype=froogle"><?php echo CREATE_EP_2; ?><b><?php echo FROOGLE_EP; ?></b></a><br>
                       
          </td>
        </tr>
      </table>
      <p class="smallText">&nbsp;</p>
      <p class="smallText">
        <?php

//*******************************
// UPLOAD AND INSERT FILE
//*******************************
if ($localfile or (is_uploaded_file($usrfl) && $split==0)) {
        if ($usrfl){
                // move the file to where we can work with it
                $file = tep_get_uploaded_file('usrfl');
                if (is_uploaded_file($file['tmp_name'])) {
                        tep_copy_uploaded_file($file, DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR);
                }
                echo "<p class=smallText>";
                echo FILE_UPLOAD_EP . "<br>";
                echo TEMPORARY_FILENAME_EP . $usrfl . "<br>";
                echo USER_FILENAME_EP . $usrfl_name . "<br>";
                echo SIZE_EP . $usrfl_size . "<br>";

                // get the entire file into an array
                $readed = file(DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR . $usrfl_name);
        }
        if ($localfile){
                // move the file to where we can work with it
                $file = tep_get_uploaded_file('usrfl');
                $attribute_options_query = "select distinct products_options_id from " . TABLE_PRODUCTS_OPTIONS . " order by products_options_id";
                $attribute_options_values = tep_db_query($attribute_options_query);
                $attribute_options_count = 1;
                        //while ($attribute_options = tep_db_fetch_array($attribute_options_values)){
                if (is_uploaded_file($file['tmp_name'])) {
                        tep_copy_uploaded_file($file, DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR);
                }

                echo "<p class=smallText>";
                echo USER_FILENAME_EP . $localfile . "<br>";

                // get the entire file into an array
                $readed = file(DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR . $localfile);
        }

        // now we string the entire thing together in case there were carriage returns in the data
        $newreaded = "";
        foreach ($readed as $read){
                $newreaded .= $read;
        }

        // now newreaded has the entire file together without the carriage returns.
        // if for some reason excel put qoutes around our EOREOR, remove them then split into rows
        $newreaded = str_replace('"EOREOR"', 'EOREOR', $newreaded);
        $readed = explode( $separator . 'EOREOR',$newreaded);


        // Now we'll populate the filelayout based on the header row.
        $theheaders_array = explode( $separator, $readed[0] ); // explode the first row, it will be our filelayout
        $lll = 0;
        $filelayout = array();
        foreach( $theheaders_array as $header ){
                $cleanheader = str_replace( '"', '', $header);
        //        echo "Fileheader was $header<br><br><br>";
                $filelayout[ $cleanheader ] = $lll++; //
        }
        unset($readed[0]); //  we don't want to process the headers with the data

        // now we've got the array broken into parts by the expicit end-of-row marker.
        array_walk($readed, 'walk');
}

//*******************************
// UPLOAD AND SPLIT FILE
//*******************************
if (is_uploaded_file($usrfl) && $split==1) {
        // move the file to where we can work with it
        $file = tep_get_uploaded_file('usrfl');
        //echo "Trying to move file...";
        if (is_uploaded_file($file['tmp_name'])) {
                tep_copy_uploaded_file($file, DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR);
        }

        $infp = fopen(DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR . $usrfl_name, "r");

        //toprow has the field headers
        $toprow = fgets($infp,32768);

        $filecount = 1;

        echo "Creating file EP_Split" . $filecount . ".txt ...  ";
        $tmpfname = DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR . "EP_Split" . $filecount . ".txt";
        $fp = fopen( $tmpfname, "w+");
        fwrite($fp, $toprow);

        $linecount = 0;
        $line = fgets($infp,32768);
        while ($line){
                // walking the entire file one row at a time
                // but a line is not necessarily a complete row, we need to split on rows that have "EOREOR" at the end
                $line = str_replace('"EOREOR"', 'EOREOR', $line);
                fwrite($fp, $line);
                if (strpos($line, 'EOREOR')){
                        // we found the end of a line of data, store it
                        $linecount++; // increment our line counter
                        if ($linecount >= EP_MAX_RECS){
                                echo "Added $linecount records and closing file... <Br>";
                                $linecount = 0; // reset our line counter
                                // close the existing file and open another;
                                fclose($fp);
                                // increment filecount
                                $filecount++;
                                echo "Creating file EP_Split" . $filecount . ".txt ...  ";
                                $tmpfname = DIR_FS_DOCUMENT_ROOT . EP_TEMP_DIR . "EP_Split" . $filecount . ".txt";
                                //Open next file name
                                $fp = fopen( $tmpfname, "w+");
                                fwrite($fp, $toprow);
                        }
                }
                $line=fgets($infp,32768);
        }
        echo "Added $linecount records and closing file...<br><br> ";
        fclose($fp);
        fclose($infp);

        echo "You can download your split files in the Tools/Files under /catalog/temp/";

}

?>
    </p></td>
 </tr>
</table>

<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>

<p></p>
<p></p><p><br>
</p></body>
</html>

<?php

function ep_get_languages() {
        $languages_query = tep_db_query("select languages_id, code from " . TABLE_LANGUAGES . " order by sort_order");
        // start array at one, the rest of the code expects it that way
        $ll =1;
        while ($ep_languages = tep_db_fetch_array($languages_query)) {
                //will be used to return language_id en language code to report in product_name_code instead of product_name_id
                $ep_languages_array[$ll++] = array(
                                        'id' => $ep_languages['languages_id'],
                                        'code' => $ep_languages['code']
                                        );
        }
        return $ep_languages_array;
};

function tep_get_tax_class_rate($tax_class_id) {
        $tax_multiplier = 0;
        $tax_query = tep_db_query("select SUM(tax_rate) as tax_rate from " . TABLE_TAX_RATES . " WHERE  tax_class_id = '" . $tax_class_id . "' GROUP BY tax_priority");
        if (tep_db_num_rows($tax_query)) {
                while ($tax = tep_db_fetch_array($tax_query)) {
                        $tax_multiplier += $tax['tax_rate'];
                }
        }
        return $tax_multiplier;
};

function tep_get_tax_title_class_id($tax_class_title) {
        $classes_query = tep_db_query("select tax_class_id from " . TABLE_TAX_CLASS . " WHERE tax_class_title = '" . $tax_class_title . "'" );
        $tax_class_array = tep_db_fetch_array($classes_query);
        $tax_class_id = $tax_class_array['tax_class_id'];
        return $tax_class_id ;
}

function print_el( $item2 ) {
        echo " | " . substr(strip_tags($item2), 0, 10);
};

function print_el1( $item2 ) {
        echo sprintf("| %'.4s ", substr(strip_tags($item2), 0, 80));
};

function ep_create_filelayout($dltype){
        global $filelayout, $filelayout_count, $filelayout_sql, $langcode, $fileheaders;
        // depending on the type of the download the user wanted, create a file layout for it.
        $fieldmap = array(); // default to no mapping to change internal field names to external.
        switch( $dltype ){
 
// start EP for product extra field ============================= DEVSOFTVN - 10/20/2005 	
	case 'extra_field':
		$iii = 0;
		// uncomment the customer_price and customer_group to support multi-price per product contrib
		// Mofificata Davide Duca
		$filelayout = array(
			'v_products_model'		=> $iii++,
			'v_products_extra_fields_name'		=> $iii++, 
			'v_products_extra_fields_id'		=> $iii++,
			'v_products_id'		=> $iii++,
			'v_products_extra_fields_value'		=> $iii++,
						);
	
		$filelayout_sql = "SELECT
                        p.products_id as v_products_id,
                        p.products_model as v_products_model,
						subc.products_extra_fields_id as v_products_extra_fields_id,
						subc.products_extra_fields_value as v_products_extra_fields_value,
						ptoc.products_extra_fields_name as v_products_extra_fields_name
                        FROM
                        ".TABLE_PRODUCTS." as p,
                        ".TABLE_PRODUCTS_TO_PRODUCTS_EXTRA_FIELDS." as subc,
						".TABLE_PRODUCTS_EXTRA_FIELDS." as ptoc
                        WHERE
                        p.products_id = subc.products_id AND
						ptoc.products_extra_fields_id = subc.products_extra_fields_id
                        ";	
// Fine modifica
		
		break;
// end of EP for extra field code ======= DEVSOFTVN================       

		case 'full':
                // The file layout is dynamically made depending on the number of languages
                $iii = 0;
                $filelayout = array(
                        'v_products_model'                => $iii++,
                        'v_products_image'                => $iii++,
                        );

                foreach ($langcode as $key => $lang){
                        $l_id = $lang['id'];
                        // uncomment the head_title, head_desc, and head_keywords to use
                        // Linda's Header Tag Controller 2.0
                        //echo $langcode['id'] . $langcode['code'];
                        $filelayout  = array_merge($filelayout , array(
                                        'v_products_name_' . $l_id                => $iii++,
                                        'v_products_description_' . $l_id        => $iii++,
                                        'v_products_url_' . $l_id        => $iii++,
                                        'v_products_keywords_'.$l_id        => $iii++,
                                        'v_products_metadescription_'.$l_id        => $iii++,
                                        'v_products_pagetitle_'.$l_id        => $iii++,
                                        ));
                }


                // uncomment the customer_price and customer_group to support multi-price per product contrib

    // VJ product attribs begin
     $header_array = array(
                        'v_products_price'                => $iii++,
                        'v_products_weight'               => $iii++,
                        'v_date_avail'                    => $iii++,
                        'v_date_added'                    => $iii++,
                        'v_products_quantity'             => $iii++,
						);

                        $languages = tep_get_languages();

      global $attribute_options_array;

      $attribute_options_count = 1;
      foreach ($attribute_options_array as $attribute_options_values) {
                                $key1 = 'v_attribute_options_id_' . $attribute_options_count;
                                $header_array[$key1] = $iii++;

        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
          $l_id = $languages[$i]['id'];

                                        $key2 = 'v_attribute_options_name_' . $attribute_options_count . '_' . $l_id;
                                        $header_array[$key2] = $iii++;
                                }

                                $attribute_values_query = "select products_options_values_id  from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$attribute_options_values['products_options_id'] . "' order by products_options_values_id";

                                $attribute_values_values = tep_db_query($attribute_values_query);

                                $attribute_values_count = 1;
                                while ($attribute_values = tep_db_fetch_array($attribute_values_values)) {
                                        $key3 = 'v_attribute_values_id_' . $attribute_options_count . '_' . $attribute_values_count;
                                        $header_array[$key3] = $iii++;

																				$key4 = 'v_attribute_values_price_' . $attribute_options_count . '_' . $attribute_values_count;
																				$header_array[$key4] = $iii++;
																				
                                        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                $l_id = $languages[$i]['id'];

                                        $key5 = 'v_attribute_values_name_' . $attribute_options_count . '_' . $attribute_values_count . '_' . $l_id;
																				$header_array[$key5] = $iii++;
                                        }
       
										//// attributes stock add start
										if (EP_CONTRIB_QTPRO == 'true') { 
																		$key6 = 'v_attribute_values_stock_' . $attribute_options_count . '_' . $attribute_values_count;
																		$header_array[$key6] = $iii++;
										}
										//// attributes stock add end

                                        $attribute_values_count++;
                                }

                                $attribute_options_count++;
     }

    $header_array['v_manufacturers_name'] = $iii++;

    $filelayout = array_merge($filelayout, $header_array);
    // VJ product attribs end

                // build the categories name section of the array based on the number of categores the user wants to have
                for($i=1;$i<EP_MAX_CAT+1;$i++){
                        $filelayout = array_merge($filelayout, array('v_categories_name_' . $i => $iii++));
                }

                $filelayout = array_merge($filelayout, array(
                        'v_tax_class_title'                => $iii++,
                        'v_status'                        => $iii++,
                        ));

                $filelayout_sql = "SELECT
                        p.products_id as v_products_id,
                        p.products_model as v_products_model,
                        p.products_image as v_products_image,
                        p.products_price as v_products_price,
						p.products_weight as v_products_weight,
                        p.products_date_available as v_date_avail,
                        p.products_date_added as v_date_added,
                        p.products_tax_class_id as v_tax_class_id,
                        p.products_quantity as v_products_quantity,
                        p.manufacturers_id as v_manufacturers_id,
                        subc.categories_id as v_categories_id,
                        p.products_status as v_status
                        FROM
                        ".TABLE_PRODUCTS." as p,
                        ".TABLE_CATEGORIES." as subc,
                        ".TABLE_PRODUCTS_TO_CATEGORIES." as ptoc
                        WHERE
                        p.products_id = ptoc.products_id AND
                        ptoc.categories_id = subc.categories_id
                        ";
                break;
        case 'priceqty':
                $iii = 0;
                // uncomment the customer_price and customer_group to support multi-price per product contrib
                // BOF for the separate prices per customer module
				if (EP_CONTRIB_SPPC == 'true') {
                $filelayout = array(
                        'v_products_model'                => $iii++,
                        'v_products_price'                => $iii++,
                        'v_products_quantity'                => $iii++,
                        'v_customer_price_1'                => $iii++,
                        'v_customer_group_id_1'                => $iii++,
                        'v_customer_price_2'                => $iii++,
                        'v_customer_group_id_2'                => $iii++,
                        'v_customer_price_3'                => $iii++,
						'v_customer_group_id_3'                => $iii++,
						'v_customer_price_4'                => $iii++,
						'v_customer_group_id_4'                => $iii++,
						'v_customer_price_5'                => $iii++,
						'v_customer_group_id_5'                => $iii++,
						'v_customer_price_6'                => $iii++,
						'v_customer_group_id_6'                => $iii++,
                                );
				} else {				
                $filelayout = array(
                        'v_products_model'                => $iii++,
                        'v_products_price'                => $iii++,
                        'v_products_quantity'                => $iii++,								
                                );
				}
                // EOF for the separate prices per customer module
                $filelayout_sql = "SELECT
                        p.products_id as v_products_id,
                        p.products_model as v_products_model,
                        p.products_price as v_products_price,
                        p.products_tax_class_id as v_tax_class_id,
                        p.products_quantity as v_products_quantity
                        FROM
                        ".TABLE_PRODUCTS." as p
                        ";

                break;

        case 'category':
                // The file layout is dynamically made depending on the number of languages
                $iii = 0;
                $filelayout = array(
                        'v_products_model'                => $iii++,
                );

                // build the categories name section of the array based on the number of categores the user wants to have
                for($i=1;$i<EP_MAX_CAT+1;$i++){
                        $filelayout = array_merge($filelayout, array('v_categories_name_' . $i => $iii++));
                }


                $filelayout_sql = "SELECT
                        p.products_id as v_products_id,
                        p.products_model as v_products_model,
                        subc.categories_id as v_categories_id
                        FROM
                        ".TABLE_PRODUCTS." as p,
                        ".TABLE_CATEGORIES." as subc,
                        ".TABLE_PRODUCTS_TO_CATEGORIES." as ptoc                        
                        WHERE
                        p.products_id = ptoc.products_id AND
                        ptoc.categories_id = subc.categories_id
                        ";
                break;
                
                
                
              
                
                
                

        case 'froogle':
                // this is going to be a little interesting because we need
                // a way to map from internal names to external names
                //
                // Before it didn't matter, but with froogle needing particular headers,
                // The file layout is dynamically made depending on the number of languages
                $iii = 0;
                $filelayout = array(
                        'v_froogle_products_url_1'                        => $iii++,
                        );
                //
                // here we need to get the default language and put
                $l_id = 1; // dummy it in for now.
//                foreach ($langcode as $key => $lang){
//                        $l_id = $lang['id'];
                        $filelayout  = array_merge($filelayout , array(
                                        'v_froogle_products_name_' . $l_id                => $iii++,
                                        'v_froogle_products_description_' . $l_id        => $iii++,
                                        ));
//                }
                $filelayout  = array_merge($filelayout , array(
                        'v_products_price'                => $iii++,
                        'v_products_fullpath_image'        => $iii++,
                        'v_category_fullpath'                => $iii++,
                        'v_froogle_offer_id'                => $iii++,
                        'v_froogle_instock'                => $iii++,
                        'v_froogle_ shipping'                => $iii++,
                        'v_manufacturers_name'                => $iii++,
                        'v_froogle_ upc'                => $iii++,
                        'v_froogle_color'                => $iii++,
                        'v_froogle_size'                => $iii++,
                        'v_froogle_quantitylevel'        => $iii++,
                        'v_froogle_product_id'                => $iii++,
                        'v_froogle_manufacturer_id'        => $iii++,
                        'v_froogle_exp_date'                => $iii++,
                        'v_froogle_product_type'        => $iii++,
                        'v_froogle_delete'                => $iii++,
                        'v_froogle_currency'                => $iii++,
                                ));
                $iii=0;
                $fileheaders = array(
                        'product_url'                => $iii++,
                        'name'                        => $iii++,
                        'description'                => $iii++,
                        'price'                        => $iii++,
                        'image_url'                => $iii++,
                        'category'                => $iii++,
                        'offer_id'                => $iii++,
                        'instock'                => $iii++,
                        'shipping'                => $iii++,
                        'brand'                        => $iii++,
                        'upc'                        => $iii++,
                        'color'                        => $iii++,
                        'size'                        => $iii++,
                        'quantity'                => $iii++,
                        'product_id'                => $iii++,
                        'manufacturer_id'        => $iii++,
                        'exp_date'                => $iii++,
                        'product_type'                => $iii++,
                        'delete'                => $iii++,
                        'currency'                => $iii++,
                        );
                $filelayout_sql = "SELECT
                        p.products_id as v_products_id,
                        p.products_model as v_products_model,
                        p.products_image as v_products_image,
                        p.products_price as v_products_price,
                        p.products_weight as v_products_weight,
                        p.products_date_added as v_date_avail,
                        p.products_tax_class_id as v_tax_class_id,
                        p.products_quantity as v_products_quantity,
                        p.manufacturers_id as v_manufacturers_id,
                        subc.categories_id as v_categories_id
                        FROM
                        ".TABLE_PRODUCTS." as p,
                        ".TABLE_CATEGORIES." as subc,
                        ".TABLE_PRODUCTS_TO_CATEGORIES." as ptoc
                        WHERE
                        p.products_id = ptoc.products_id AND
                        ptoc.categories_id = subc.categories_id
                        ";
                break;

// VJ product attributes begin
        case 'attrib':
                $iii = 0;
                $filelayout = array(
                        'v_products_model'                => $iii++
                        );

    $header_array = array();

                $languages = tep_get_languages();

    global $attribute_options_array;

    $attribute_options_count = 1;
    foreach ($attribute_options_array as $attribute_options_values) {
                        $key1 = 'v_attribute_options_id_' . $attribute_options_count;
                        $header_array[$key1] = $iii++;

                        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                $l_id = $languages[$i]['id'];

                                $key2 = 'v_attribute_options_name_' . $attribute_options_count . '_' . $l_id;
                                $header_array[$key2] = $iii++;
                        }

                        $attribute_values_query = "select products_options_values_id  from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$attribute_options_values['products_options_id'] . "' order by products_options_values_id";

                        $attribute_values_values = tep_db_query($attribute_values_query);

                        $attribute_values_count = 1;
                                while ($attribute_values = tep_db_fetch_array($attribute_values_values)) {
                                        $key3 = 'v_attribute_values_id_' . $attribute_options_count . '_' . $attribute_values_count;
                                        $header_array[$key3] = $iii++;

																				$key4 = 'v_attribute_values_price_' . $attribute_options_count . '_' . $attribute_values_count;
																				$header_array[$key4] = $iii++;
																				
                                        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                $l_id = $languages[$i]['id'];

																				$key5 = 'v_attribute_values_name_' . $attribute_options_count . '_' . $attribute_values_count . '_' . $l_id;
																				$header_array[$key5] = $iii++;
                                        }
//// attributes stock add start        
										if (EP_CONTRIB_QTPRO == 'true') { 
														$key6 = 'v_attribute_values_stock_' . $attribute_options_count . '_' . $attribute_values_count;
														$header_array[$key6] = $iii++;
										}				
//// attributes stock add end 		
                                        $attribute_values_count++;
                                }

                        $attribute_options_count++;
    }

    $filelayout = array_merge($filelayout, $header_array);

                $filelayout_sql = "SELECT
                        p.products_id as v_products_id,
                        p.products_model as v_products_model
                        FROM
                        ".TABLE_PRODUCTS." as p
                        ";

                break;
// VJ product attributes end
        }
        $filelayout_count = count($filelayout);

}


function walk( $item1 ) {
        global $filelayout, $filelayout_count, $modelsize;
        global $langcode, $default_these;
        global $epdlanguage_id, $price_with_tax;
        global $separator;
        // first we clean up the row of data

        // chop blanks from each end
        $item1 = ltrim(rtrim($item1));

        // blow it into an array, splitting on the tabs
        $items = explode($separator, $item1);

        // make sure all non-set things are set to '';
        // and strip the quotes from the start and end of the stings.
        // escape any special chars for the database.
        foreach( $filelayout as $key=> $value){
                $i = $filelayout[$key];
                if (isset($items[$i]) == false) {
                        $items[$i]='';
                } else {
                        // Check to see if either of the magic_quotes are turned on or off;
                        // And apply filtering accordingly.
                        if (function_exists('ini_get')) {
                                //echo "Getting ready to check magic quotes<br>";
                                if (ini_get('magic_quotes_runtime') == 1){
                                        // The magic_quotes_runtime are on, so lets account for them
                                        // check if the last character is a quote;
                                        // if it is, chop off the quotes.
                                        if (substr($items[$i],-1) == '"'){
                                                $items[$i] = substr($items[$i],2,strlen($items[$i])-4);
                                        }
                                        // now any remaining doubled double quotes should be converted to one doublequote
                                        $items[$i] = str_replace('\"\"',"&#34",$items[$i]);
                                        if (EP_REPLACE_QUOTES == 'true'){
                                                $items[$i] = str_replace('\"',"&#34",$items[$i]);
                                                $items[$i] = str_replace("\'","&#39",$items[$i]);
                                        }
                                } else { // no magic_quotes are on
                                        // check if the last character is a quote;
                                        // if it is, chop off the 1st and last character of the string.
                                        if (substr($items[$i],-1) == '"'){
                                                $items[$i] = substr($items[$i],1,strlen($items[$i])-2);
                                        }
                                        // now any remaining doubled double quotes should be converted to one doublequote
                                        $items[$i] = str_replace('""',"&#34",$items[$i]);
                                        if (EP_REPLACE_QUOTES == 'true'){
                                                $items[$i] = str_replace('"',"&#34",$items[$i]);
                                                $items[$i] = str_replace("'","&#39",$items[$i]);
                                        }
                                }
                        }
                }
        }

// EP for product extra fields Contrib by minhmaster DEVSOFTVN ==========
		$v_products_extra_fields_id = $items[$filelayout['v_products_extra_fields_id']];
		$v_products_id	=	$items[$filelayout['v_products_id']];
		$v_products_extra_fields_value	=	$items[$filelayout['v_products_extra_fields_value']];

	if (isset($v_products_extra_fields_id) ){					
				$sql_exist	=	"SELECT products_extra_fields_value FROM ".TABLE_PRODUCTS_TO_PRODUCTS_EXTRA_FIELDS. " WHERE (products_id ='".$v_products_id. "') AND (products_extra_fields_id ='".$v_products_extra_fields_id ."')";
				if (tep_db_num_rows(tep_db_query($sql_exist)) <= 0) {
					$sql_extra_field	=	"INSERT INTO ".TABLE_PRODUCTS_TO_PRODUCTS_EXTRA_FIELDS."(products_id,products_extra_fields_id,products_extra_fields_value) VALUES ('".$v_products_id."','".$v_products_extra_fields_id."','".$v_products_extra_fields_value."')";
					$str_err_report= " $v_products_extra_fields_id | $v_products_id  | $v_products_extra_fields_value | <b><font color=blue><?php echo INSERED_EP; ?></font></b><br>";					
				} else {
					$sql_extra_field	=	"UPDATE ".TABLE_PRODUCTS_TO_PRODUCTS_EXTRA_FIELDS." SET products_extra_fields_value='".$v_products_extra_fields_value."' WHERE (products_id ='".$v_products_id. "') AND (products_extra_fields_id ='".$v_products_extra_fields_id ."')";
					$str_err_report= " $v_products_extra_fields_id | $v_products_id  | $v_products_extra_fields_value | <b><font color=blue><?php echo UPDATE_EP; ?></font></b><br>";					
				}
				

				$result = tep_db_query($sql_extra_field);
				//echo $sql_extra_field;
				echo $str_err_report;
				
	} else  {
//============ EP for product extra fields Contrib by minhmt DEVSOFTVN off============

        // now do a query to get the record's current contents
        $sql = "SELECT
                p.products_id as v_products_id,
                p.products_model as v_products_model,
                p.products_image as v_products_image,
                p.products_subimage1 as v_products_subimage1,
                p.products_subimage2 as v_products_subimage2,
                p.products_subimage3 as v_products_subimage3,
                p.products_subimage4 as v_products_subimage4,
                p.products_subimage5 as v_products_subimage5,
                p.products_subimage6 as v_products_subimage6,
                p.products_price as v_products_price,
                p.products_weight as v_products_weight,
                p.products_date_added as v_date_avail,
                p.products_tax_class_id as v_tax_class_id,
                p.products_quantity as v_products_quantity,
                p.manufacturers_id as v_manufacturers_id,
                subc.categories_id as v_categories_id
                FROM
                ".TABLE_PRODUCTS." as p,
                ".TABLE_CATEGORIES." as subc,
                ".TABLE_PRODUCTS_TO_CATEGORIES." as ptoc
                WHERE
                p.products_id = ptoc.products_id AND
                p.products_model = '" . $items[$filelayout['v_products_model']] . "' AND
                ptoc.categories_id = subc.categories_id
                ";

        $result = tep_db_query($sql);
        $row =  tep_db_fetch_array($result);


        while ($row){
                // OK, since we got a row, the item already exists.
                // Let's get all the data we need and fill in all the fields that need to be defaulted to the current values
                // for each language, get the description and set the vals
                foreach ($langcode as $key => $lang){
                        //echo "Inside defaulting loop";
                        //echo "key is $key<br>";
                        //echo "langid is " . $lang['id'] . "<br>";
//                        $sql2 = "SELECT products_name, products_description
//                                FROM ".TABLE_PRODUCTS_DESCRIPTION."
//                                WHERE
//                                        products_id = " . $row['v_products_id'] . " AND
//                                        language_id = '" . $lang['id'] . "'
//                                ";
                        $sql2 = "SELECT *
                                FROM ".TABLE_PRODUCTS_DESCRIPTION."
                                WHERE
                                        products_id = " . $row['v_products_id'] . " AND
                                        language_id = '" . $lang['id'] . "'
                                ";
                        $result2 = tep_db_query($sql2);
                        $row2 =  tep_db_fetch_array($result2);
                        // Need to report from ......_name_1 not ..._name_0
                        $row['v_products_name_' . $lang['id']]                 = $row2['products_name'];
                        $row['v_products_description_' . $lang['id']]         = $row2['products_description'];
                        $row['v_products_url_' . $lang['id']]                 = $row2['products_url'];

                        // support for Randelia Metatgs here
                        if(isset($filelayout['v_products_pagetitle_' . $lang['id'] ])){
                                $row['v_products_pagetitle_' . $lang['id']]         = $row2['products_pagetitle'];
                                $row['v_products_metadescription_' . $lang['id']]         = $row2['products_metadescription'];
                                $row['v_products_keywords_' . $lang['id']]         = $row2['products_head_keywords'];
                        }
                        // end support for Randelia Metatags
                }

                // start with v_categories_id
                // Get the category description
                // set the appropriate variable name
                // if parent_id is not null, then follow it up.
                $thecategory_id = $row['v_categories_id'];

                for( $categorylevel=1; $categorylevel<EP_MAX_CAT+1; $categorylevel++){
                        if ($thecategory_id){
                                $sql2 = "SELECT categories_name
                                        FROM ".TABLE_CATEGORIES_DESCRIPTION."
                                        WHERE
                                                categories_id = " . $thecategory_id . " AND
                                                language_id = " . $epdlanguage_id ;

                                $result2 = tep_db_query($sql2);
                                $row2 =  tep_db_fetch_array($result2);
                                // only set it if we found something
                                $temprow['v_categories_name_' . $categorylevel] = $row2['categories_name'];
                                // now get the parent ID if there was one
                                $sql3 = "SELECT parent_id
                                        FROM ".TABLE_CATEGORIES."
                                        WHERE
                                                categories_id = " . $thecategory_id;
                                $result3 = tep_db_query($sql3);
                                $row3 =  tep_db_fetch_array($result3);
                                $theparent_id = $row3['parent_id'];
                                if ($theparent_id != ''){
                                        // there was a parent ID, lets set thecategoryid to get the next level
                                        $thecategory_id = $theparent_id;
                                } else {
                                        // we have found the top level category for this item,
                                        $thecategory_id = false;
                                }
                        } else {
                                        $temprow['v_categories_name_' . $categorylevel] = '';
                        }
                }
                // temprow has the old style low to high level categories.
                $newlevel = 1;
                // let's turn them into high to low level categories
                for( $categorylevel=EP_MAX_CAT+1; $categorylevel>0; $categorylevel--){
                        if ($temprow['v_categories_name_' . $categorylevel] != ''){
                                $row['v_categories_name_' . $newlevel++] = $temprow['v_categories_name_' . $categorylevel];
                        }
                }

                if ($row['v_manufacturers_id'] != ''){
                        $sql2 = "SELECT manufacturers_name
                                FROM ".TABLE_MANUFACTURERS."
                                WHERE
                                manufacturers_id = " . $row['v_manufacturers_id']
                                ;
                        $result2 = tep_db_query($sql2);
                        $row2 =  tep_db_fetch_array($result2);
                        $row['v_manufacturers_name'] = $row2['manufacturers_name'];
                }

                //elari -
                //We check the value of tax class and title instead of the id
                //Then we add the tax to price if $price_with_tax is set to true
                $row_tax_multiplier = tep_get_tax_class_rate($row['v_tax_class_id']);
                $row['v_tax_class_title'] = tep_get_tax_class_title($row['v_tax_class_id']);
                if ($price_with_tax){
                        $row['v_products_price'] = round($row['v_products_price'] + ($row['v_products_price'] * $row_tax_multiplier / 100),2);
                }

                // now create the internal variables that will be used
                // the $$thisvar is on purpose: it creates a variable named what ever was in $thisvar and sets the value
                foreach ($default_these as $thisvar){
                        $$thisvar        = $row[$thisvar];
                }

                $row =  tep_db_fetch_array($result);
        }

        // this is an important loop.  What it does is go thru all the fields in the incoming file and set the internal vars.
        // Internal vars not set here are either set in the loop above for existing records, or not set at all (null values)
        // the array values are handled separatly, although they will set variables in this loop, we won't use them.
        foreach( $filelayout as $key => $value ){
                $$key = $items[ $value ];
        }

        // so how to handle these?  we shouldn't built the array unless it's been giving to us.
        // The assumption is that if you give us names and descriptions, then you give us name and description for all applicable languages
        foreach ($langcode as $lang){
                //echo "Langid is " . $lang['id'] . "br>";
                $l_id = $lang['id'];
                if (isset($filelayout['v_products_name_' . $l_id ])){
                        //we set dynamically the language values
                        $v_products_name[$l_id]         = $items[$filelayout['v_products_name_' . $l_id]];
                        $v_products_description[$l_id]         = $items[$filelayout['v_products_description_' . $l_id ]];
                        $v_products_url[$l_id]                 = $items[$filelayout['v_products_url_' . $l_id ]];
                        // support for Randelia Metatgs here
                        if(isset($filelayout['v_products_pagetitle_' . $l_id])){
                                $v_products_pagetitle[$l_id]         = $items[$filelayout['v_products_pagetitle_' . $l_id]];
                                $v_products_metadescription[$l_id]         = $items[$filelayout['v_products_metadescription_' . $l_id]];
                                $v_products_keywords[$l_id]         = $items[$filelayout['v_products_keywords_' . $l_id]];
                        }
                        // end support for Randelia Metatags
                }
        }
        //elari... we get the tax_clas_id from the tax_title
        //on screen will still be displayed the tax_class_title instead of the id....
        if ( isset( $v_tax_class_title) ){
                $v_tax_class_id          = tep_get_tax_title_class_id($v_tax_class_title);
        }
        //we check the tax rate of this tax_class_id
        $row_tax_multiplier = tep_get_tax_class_rate($v_tax_class_id);

        //And we recalculate price without the included tax...
        //Since it seems display is made before, the displayed price will still include tax
        //This is same problem for the tax_clas_id that display tax_class_title
        if ($price_with_tax){
                $v_products_price        = round( $v_products_price / (1 + ( $row_tax_multiplier * $price_with_tax/100) ), 4);
        }

        // if they give us one category, they give us all 6 categories
        unset ($v_categories_name); // default to not set.
        if ( isset( $filelayout['v_categories_name_1'] ) ){
                $newlevel = 1;
                for( $categorylevel=6; $categorylevel>0; $categorylevel--){
                        if ( $items[$filelayout['v_categories_name_' . $categorylevel]] != ''){
                                $v_categories_name[$newlevel++] = $items[$filelayout['v_categories_name_' . $categorylevel]];
                        }
                }
                while( $newlevel < EP_MAX_CAT+1){
                        $v_categories_name[$newlevel++] = ''; // default the remaining items to nothing
                }
        }

        if (ltrim(rtrim($v_products_quantity)) == '') {
                $v_products_quantity = 1;
        }
        if ($v_date_avail == '') {
//                $v_date_avail = "CURRENT_TIMESTAMP";
                $v_date_avail = "NULL";
        } else {
                // we put the quotes around it here because we can't put them into the query, because sometimes
                //   we will use the "current_timestamp", which can't have quotes around it.
                $v_date_avail = '"' . $v_date_avail . '"';
        }

        if ($v_date_added == '') {
                $v_date_added = "CURRENT_TIMESTAMP";
        } else {
                // we put the quotes around it here because we can't put them into the query, because sometimes
                //   we will use the "current_timestamp", which can't have quotes around it.
                $v_date_added = '"' . $v_date_added . '"';
        }


        // default the stock if they spec'd it or if it's blank
        $v_db_status = '1'; // default to active
        if ($v_status == EP_STATUS_INACTIVE){
                // they told us to deactivate this item
                $v_db_status = '0';
        }
        if (EP_ZERO_QTY == 'true' && $v_products_quantity == 0) {
                // if they said that zero qty products should be deactivated, let's deactivate if the qty is zero
                $v_db_status = '0';
        }

        if ($v_manufacturer_id==''){
                $v_manufacturer_id="NULL";
        }

        if (trim($v_products_image)==''){
                $v_products_image = EP_PROD_IMAGE;
        }

        if (strlen($v_products_model) > $modelsize ){
                echo "<font color='red'>" . strlen($v_products_model) . $v_products_model . "... ERROR! - Too many characters in the model number.<br>
                        12 is the maximum on a standard OSC install.<br>
                        Your maximum product_model length is set to $modelsize<br>
                        You can either shorten your model numbers or increase the size of the field in the database.</font>";
                die();
        }

        // OK, we need to convert the manufacturer's name into id's for the database
        if ( isset($v_manufacturers_name) && $v_manufacturers_name != '' ){
                $sql = "SELECT man.manufacturers_id
                        FROM ".TABLE_MANUFACTURERS." as man
                        WHERE
                                man.manufacturers_name = '" . $v_manufacturers_name . "'";
                $result = tep_db_query($sql);
                $row =  tep_db_fetch_array($result);
                if ( $row != '' ){
                        foreach( $row as $item ){
                                $v_manufacturer_id = $item;
                        }
                } else {
                        // to add, we need to put stuff in categories and categories_description
                        $sql = "SELECT MAX( manufacturers_id) max FROM ".TABLE_MANUFACTURERS;
                        $result = tep_db_query($sql);
                        $row =  tep_db_fetch_array($result);
                        $max_mfg_id = $row['max']+1;
                        // default the id if there are no manufacturers yet
                        if (!is_numeric($max_mfg_id) ){
                                $max_mfg_id=1;
                        }

                        // Uncomment this query if you have an older 2.2 codebase
                        /*
                        $sql = "INSERT INTO ".TABLE_MANUFACTURERS."(manufacturers_id, manufacturers_name, manufacturers_image) VALUES ('".$max_mfg_id."','".$v_manufacturers_name."','".EP_MANF_IMAGE."')";
                        */

                        // Comment this query out if you have an older 2.2 codebase
                        $sql = "INSERT INTO ".TABLE_MANUFACTURERS."(manufacturers_id, manufacturers_name, manufacturers_image, date_added, last_modified) VALUES ('" . $max_mfg_id . "', '" . $v_manufacturers_name . "','" . EP_MANF_IMAGE . "', " . CURRENT_TIMESTAMP . "," . CURRENT_TIMESTAMP . ")";
                        $result = tep_db_query($sql);
                        $v_manufacturer_id = $max_mfg_id;
                }
        }
        // if the categories names are set then try to update them
        if ( isset($v_categories_name_1)){
                // start from the highest possible category and work our way down from the parent
                $v_categories_id = 0;
                $theparent_id = 0;
                for ( $categorylevel=EP_MAX_CAT+1; $categorylevel>0; $categorylevel-- ){
                        $thiscategoryname = $v_categories_name[$categorylevel];
                        if ( $thiscategoryname != ''){
                                // we found a category name in this field

                                // now the subcategory
                                $sql = "SELECT cat.categories_id
                                        FROM ".TABLE_CATEGORIES." as cat, 
                                             ".TABLE_CATEGORIES_DESCRIPTION." as des
                                        WHERE
                                                cat.categories_id = des.categories_id AND
                                                des.language_id = $epdlanguage_id AND
                                                cat.parent_id = " . $theparent_id . " AND
                                                des.categories_name = '" . $thiscategoryname . "'";
                                $result = tep_db_query($sql);
                                $row =  tep_db_fetch_array($result);
                                if ( $row != '' ){
                                        foreach( $row as $item ){
                                                $thiscategoryid = $item;
                                        }
                                } else {
                                        // to add, we need to put stuff in categories and categories_description
                                        $sql = "SELECT MAX( categories_id) max FROM ".TABLE_CATEGORIES;
                                        $result = tep_db_query($sql);
                                        $row =  tep_db_fetch_array($result);
                                        $max_category_id = $row['max']+1;
                                        if (!is_numeric($max_category_id) ){
                                                $max_category_id=1;
                                        }
//                                        $sql = "INSERT INTO ".TABLE_CATEGORIES." (categories_id, categories_image, parent_id, sort_order, date_added, last_modified ) VALUES (".$max_category_id."," .EP_CAT_IMAGE.",".$theparent_id.",0, CURRENT_TIMESTAMP ,CURRENT_TIMESTAMP)";
										$sql = "INSERT INTO ".TABLE_CATEGORIES."(categories_id,categories_image,parent_id,sort_order,date_added,last_modified) VALUES ($max_category_id,'".EP_CAT_IMAGE."',$theparent_id,0,CURRENT_TIMESTAMP,CURRENT_TIMESTAMP)";
                                        $result = tep_db_query($sql);
                                        $sql = "INSERT INTO ".TABLE_CATEGORIES_DESCRIPTION."(
                                                        categories_id,
                                                        language_id,
                                                        categories_name
                                                ) VALUES (
                                                        $max_category_id,
                                                        '$epdlanguage_id',
                                                        '$thiscategoryname'
                                                )";
                                        $result = tep_db_query($sql);
                                        $thiscategoryid = $max_category_id;
                                }
                                // the current catid is the next level's parent
                                $theparent_id = $thiscategoryid;
                                $v_categories_id = $thiscategoryid; // keep setting this, we need the lowest level category ID later
                        }
                }
        }
		//if delete
		if ($v_status == EP_STATUS_DELETE){
			// they want to delete this product.
			array_walk($items, 'print_el');
			$result = tep_db_query("SELECT products_id FROM ".TABLE_PRODUCTS." WHERE (products_model = '".$v_products_model."')");
            $row =  tep_db_fetch_array($result);
            $delete_id = $row['products_id'];
			// Get the ID
			echo "<font color='red'>" . DELETE_EP . "</font><br>";
			tep_db_query("delete from " . TABLE_PRODUCTS . " where products_id ='" .  $delete_id . "'");
			// Kill in the products table
			tep_db_query("delete from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id ='" .  $delete_id . "'");
			tep_db_query("delete from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id ='" .  $delete_id . "' and categories_id = '" . $v_categories_id . "' ");
			// kill in the products_to_categories
			$prod_attrib_query = tep_db_query("select products_attributes_id from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id ='" .  $delete_id . "'");
			while ($prod_attrib1 = tep_db_fetch_array($prod_attrib_query)) {
			tep_db_query("delete from " . TABLE_PRODUCTS_ATTRIBUTES_DOWNLOAD . " where products_attributes_id  ='" .  $prod_attrib1[products_attributes_id]  . "'");
			}
			tep_db_query("delete from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id ='" .  $delete_id . "'");
			return; // we're done deleteing!
		} elseif ($v_products_model != "") {
                //   products_model exists!
                array_walk($items, 'print_el');
                // First we check to see if this is a product in the current db.
                $result = tep_db_query("SELECT products_id FROM ".TABLE_PRODUCTS." WHERE (products_model = '". $v_products_model . "')");

                if (tep_db_num_rows($result) == 0)  {
						//   insert into products
                        $sql = "SHOW TABLE STATUS LIKE '".TABLE_PRODUCTS."'";
                        $result = tep_db_query($sql);
                        $row =  tep_db_fetch_array($result);
                        $max_product_id = $row['Auto_increment'];
                        if (!is_numeric($max_product_id) ){
                                $max_product_id=1;
                        }
                        $v_products_id = $max_product_id;
                        echo "<font color='green'>" . NEW_PRODUCT_EP . "</font><br>";
                        $query = "INSERT INTO ".TABLE_PRODUCTS." (
                                        products_image,
                                        products_subimage1,
                                        products_subimage2,
                                        products_subimage3,
                                        products_subimage4,
                                        products_subimage5,
                                        products_subimage6,
                                        products_model,
                                        products_price,
                                        products_status,
                                        products_last_modified,
                                        products_date_added,
                                        products_date_available,
                                        products_tax_class_id,
                                        products_weight,
                                        products_quantity,
                                        manufacturers_id)
                                                VALUES (
                                                        	'$v_products_image',
                                                       		'$v_products_subimage1',
                                                        	'$v_products_subimage2',
                                                       		'$v_products_subimage3',
                                                      		'$v_products_subimage4',
                                                       		'$v_products_subimage5',
                                                       		'$v_products_subimage6',
													   		'$v_products_model',
                                                            '$v_products_price',
                                                            '$v_db_status',
                                                             CURRENT_TIMESTAMP,
                                                            '$v_date_added',
                                                            '$v_date_avail',
                                                            '$v_tax_class_id',
                                                            '$v_products_weight',
                                                            '$v_products_quantity',
                                                            '$v_manufacturer_id')
                                                        ";

                                $result = tep_db_query($query);
                } else {
						// existing product, get the id from the query
                        // and update the product data
                        $row =  tep_db_fetch_array($result);
                        $v_products_id = $row['products_id'];
                        echo "<font color='black'>" . UPDATE_EP . "</font><br>";
                        $row =  tep_db_fetch_array($result);
                        $query = 'UPDATE '.TABLE_PRODUCTS.'
                                        SET
                                        products_price="'.$v_products_price.
                                        '" ,products_image="'.$v_products_image;

                        // uncomment these lines if you are running the image mods

                                $query .=
                                        
                                        '" ,products_subimage1="'.$v_products_subimage1.
                                        '" ,products_subimage2="'.$v_products_subimage2.
                                        '" ,products_subimage3="'.$v_products_subimage3.
                                        '" ,products_subimage4="'.$v_products_subimage4.
                                        '" ,products_subimage5="'.$v_products_subimage5.
                                        '" ,products_subimage6="'.$v_products_subimage6;


                        $query .= '", products_weight="'.$v_products_weight .
                                        '", products_tax_class_id="'.$v_tax_class_id . 
                                        '", products_date_available= ' . $v_date_avail .
                                        ', products_date_added= ' . $v_date_added .
                                        ', products_last_modified=CURRENT_TIMESTAMP
                                        , products_quantity="' . $v_products_quantity .  
                                        '" ,manufacturers_id=' . $v_manufacturer_id . 
                                        ' , products_status=' . $v_db_status . '
                                        WHERE
                                                (products_id = "'. $v_products_id . '")';
						$result = tep_db_query($query);
                }
                // the following is common in both the updating an existing product and creating a new product
                if ( isset($v_products_name)){
                        foreach( $v_products_name as $key => $name){
                                                        if ($name!=''){
                                        $sql = "SELECT * FROM ".TABLE_PRODUCTS_DESCRIPTION." WHERE
                                                        products_id = $v_products_id AND
                                                        language_id = " . $key;
                                        $result = tep_db_query($sql);
                                        if (tep_db_num_rows($result) == 0) {
                                                // nope, this is a new product description
                                                $result = tep_db_query($sql);
                                                $sql =
                                                        "INSERT INTO ".TABLE_PRODUCTS_DESCRIPTION."
                                                                (products_id,
                                                                language_id,
                                                                products_name,
                                                                products_description,
                                                                products_url)
                                                                VALUES (
                                                                        '" . $v_products_id . "',
                                                                        " . $key . ",
                                                                        '" . $name . "',
                                                                        '". $v_products_description[$key] . "',
                                                                        '". $v_products_url[$key] . "'
                                                                        )";
                                                // support for Randelia Metatgs
                                                if (isset($v_products_pagetitle)){
                                                        // override the sql if we're using Linda's contrib
                                                        $sql =
                                                                "INSERT INTO ".TABLE_PRODUCTS_DESCRIPTION."
                                                                        (products_id,
                                                                        language_id,
                                                                        products_name,
                                                                        products_description,
                                                                        products_url,
                                                                        products_pagetitle,
                                                                        products_metadescription,
                                                                        products_keywords)
                                                                        VALUES (
                                                                                '" . $v_products_id . "',
                                                                                " . $key . ",
                                                                                '" . $name . "',
                                                                                '". $v_products_description[$key] . "',
                                                                                '". $v_products_url[$key] . "',
                                                                                '". $v_products_pagetitle[$key] . "',
                                                                                '". $v_products_metadescription[$key] . "',
                                                                                '". $v_products_keywords[$key] . "')";
                                                }
                                                // end support for Randelia Metatgs
                                                $result = tep_db_query($sql);
                                        } else {
                                                // already in the description, let's just update it
                                                $sql =
                                                        "UPDATE ".TABLE_PRODUCTS_DESCRIPTION." SET
                                                                products_name='$name',
                                                                products_description='".$v_products_description[$key] . "',
                                                                products_url='" . $v_products_url[$key] . "'
                                                        WHERE
                                                                products_id = '$v_products_id' AND
                                                                language_id = '$key'";
                                                // support for Lindas Randelia Metatags
                                                if (isset($v_products_pagetitle)){
                                                        // override the sql if we're using Linda's contrib
                                                        $sql =
                                                                "UPDATE ".TABLE_PRODUCTS_DESCRIPTION." SET
                                                                        products_name = '$name',
                                                                        products_description = '".$v_products_description[$key] . "',
                                                                        products_url = '" . $v_products_url[$key] ."',
                                                                        products_pagetitle = '" . $v_products_pagetitle[$key] ."',
                                                                        products_metadescription = '" . $v_products_metadescription[$key] ."',
                                                                        products_keywords = '" . $v_products_keywords[$key] ."'
                                                                WHERE
                                                                        products_id = '$v_products_id' AND
                                                                        language_id = '$key'";
                                                }
                                                // end support for Randelia Metatgs
                                                $result = tep_db_query($sql);
                                        }
                                }
                        }
                }
                if (isset($v_categories_id)){
                        //find out if this product is listed in the category given
                        $result_incategory = tep_db_query('SELECT
                                                '.TABLE_PRODUCTS_TO_CATEGORIES.'.products_id,
                                                '.TABLE_PRODUCTS_TO_CATEGORIES.'.categories_id
                                                FROM
                                                        '.TABLE_PRODUCTS_TO_CATEGORIES.'
                                                WHERE
                                                '.TABLE_PRODUCTS_TO_CATEGORIES.'.products_id='.$v_products_id.' AND
                                                '.TABLE_PRODUCTS_TO_CATEGORIES.'.categories_id='.$v_categories_id);

                        if (tep_db_num_rows($result_incategory) == 0) {
							// delete link to a product from all subcategories and add to new subcategory
								if (EP_NO_DUPL == 'true') {
									$res0 = tep_db_query('DELETE FROM '.TABLE_PRODUCTS_TO_CATEGORIES.' WHERE products_id = ' . $v_products_id);
									$res1 = tep_db_query('INSERT INTO '.TABLE_PRODUCTS_TO_CATEGORIES.' (products_id, categories_id) VALUES ("' . $v_products_id . '", "' . $v_categories_id . '")');
								} else {
								// nope, this is a new category for this product
									$res1 = tep_db_query('INSERT INTO '.TABLE_PRODUCTS_TO_CATEGORIES.' (products_id, categories_id) VALUES ("' . $v_products_id . '", "' . $v_categories_id . '")');
								}
						} else {
                                // already in this category, nothing to do!
						}
				}
//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                // BOF for the separate prices per customer module
				if (EP_CONTRIB_SPPC == 'true') {
					$ll=1;
					if (isset($v_customer_price_1)){
							
							if (($v_customer_group_id_1 == '') AND ($v_customer_price_1 != ''))  {
									echo "<font color=red>" . ERROR_EP . "</font>";
									die();
							}
							// they spec'd some prices, so clear all existing entries
							$result = tep_db_query('
													DELETE
													FROM
															'.TABLE_PRODUCTS_GROUPS.'
													WHERE
															products_id = ' . $v_products_id
													);
							// and insert the new record
							if ($v_customer_price_1 != ''){
									$result = tep_db_query('
															INSERT INTO
																	'.TABLE_PRODUCTS_GROUPS.'
															VALUES
															(
																	' . $v_customer_group_id_1 . ',
																	' . $v_customer_price_1 . ',
																	' . $v_products_id . '
																	)'
															);
							}
							if ($v_customer_price_2 != ''){
									$result = tep_db_query('
															INSERT INTO
																	'.TABLE_PRODUCTS_GROUPS.'
															VALUES
															(
																	' . $v_customer_group_id_2 . ',
																	' . $v_customer_price_2 . ',
																	' . $v_products_id . '
																	)'
															);
							}
							if ($v_customer_price_3 != ''){
									$result = tep_db_query('
															INSERT INTO
																	'.TABLE_PRODUCTS_GROUPS.'
															VALUES
															(
																	' . $v_customer_group_id_3 . ',
																	' . $v_customer_price_3 . ',
																	' . $v_products_id . '
																	)'
															);
							}
							if ($v_customer_price_4 != ''){
									$result = tep_db_query('
															INSERT INTO
																	'.TABLE_PRODUCTS_GROUPS.'
															VALUES
															(
																	' . $v_customer_group_id_4 . ',
																	' . $v_customer_price_4 . ',
																	' . $v_products_id . '
																	)'
															);
							}
							if ($v_customer_price_5 != ''){
								$result = tep_db_query('
											INSERT INTO
												'.TABLE_PRODUCTS_GROUPS.'
											VALUES
											(
												' . $v_customer_group_id_5 . ',
												' . $v_customer_price_5 . ',
												' . $v_products_id . '
												)'
											);
							}
							if ($v_customer_price_6 != ''){
								$result = tep_db_query('
								INSERT INTO
									'.TABLE_PRODUCTS_GROUPS.'
								VALUES
								(
									' . $v_customer_group_id_6 . ',
									' . $v_customer_price_6 . ',
									' . $v_products_id . '
									)'
								);
							}
					}
				}
                // BOF for the separate prices per customer module
//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

			/**
			* Specials price module: add product special price, column 'v_specials_price', to Specials table
			* if a null value in specials price, do not add or update. If price = 0, let's delete it
			*/
			if (isset($v_specials_price) && tep_not_null($v_specials_price)) {
				if ($v_specials_price > $v_products_price) {
					$specials_print .= sprintf(EASYPOPULATE_SPECIALS_PRICE_FAIL, $v_products_model, substr(strip_tags($v_products_name[$epdlanguage_id]), 0, 10));
					//available function: zen_set_specials_status($specials_id, $status)
					// could alternatively make status inactive, and still upload..
					continue;
				}
				// column is in upload file, and price is in field (not empty)
				// if null (set further above), set forever, else get raw date
				$has_specials == true;
				//$v_specials_date_avail = tep_not_null($v_specials_date_avail) ? ep_datoriser($v_specials_date_avail) : '0001-01-01';
				$v_specials_expires_date = tep_not_null($v_specials_expires_date) ? ep_datoriser($v_specials_expires_date) : 'NULL';
				
				//Check if this product already has a special
				$special = ep_query(  "SELECT products_id
																FROM " . TABLE_SPECIALS . "
																WHERE products_id = ". $v_products_id);
																
				if (mysql_num_rows($special) == 0) {
					// not in db..
					if ($v_specials_price == '0') {
						// delete requested, but is not a special
						$specials_print .= sprintf(EASYPOPULATE_SPECIALS_DELETE_FAIL, $v_products_model, substr(strip_tags($v_products_name[$epdlanguage_id]), 0, 10));
						continue;
					}
					
								// insert new into specials
								$sql =  "INSERT INTO " . TABLE_SPECIALS . "
												(products_id,
												specials_new_products_price,
												specials_date_added,
												expires_date,
												status)
												VALUES (
														'" . (int)$v_products_id . "',
														'" . $v_specials_price . "',
														now(),
														'" . $v_specials_expires_date . "',
														'1')";
								$result = ep_query($sql);
				echo $result.' '. $v_specials_price.' '.$v_products_price;
								$specials_print .= sprintf(EASYPOPULATE_SPECIALS_NEW, $v_products_model, substr(strip_tags($v_products_name[$epdlanguage_id]), 0, 10), $v_products_price , $v_specials_price);
								
				} else {
					// existing product
					
					if ($v_specials_price == '0') {
						// delete of existing requested
						$db->Execute("delete from " . TABLE_SPECIALS . "
									 where products_id = '" . (int)$v_products_id . "'");
						$specials_print .= sprintf(EASYPOPULATE_SPECIALS_DELETE, $v_products_model);
						continue;
					}
								// just make an update
								$sql =  "UPDATE " . TABLE_SPECIALS . " SET
												specials_new_products_price = '" . $v_specials_price . "',
												specials_last_modified = now(),
												expires_date = '" . $v_specials_expires_date . "',
												status = '1'
												WHERE products_id = '" . (int)$v_products_id . "'";
								//echo $sql . "<br>";
								ep_query($sql);
								$specials_print .= sprintf(EASYPOPULATE_SPECIALS_UPDATE, $v_products_model, substr(strip_tags($v_products_name[$epdlanguage_id]), 0, 10), $v_products_price , $v_specials_price);
				}
				// we still have our special here..
			}
			// end specials prices for this product module
//XXXXXXXXXXXXXXXXXXXXXXX  by Tommy Vo @ ITSS.com.au   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
		

                // VJ product attribs begin
                if (isset($v_attribute_options_id_1)){
                        $attribute_rows = 1; // master row count

                        $languages = tep_get_languages();

                        // product options count
                        $attribute_options_count = 1;
                        $v_attribute_options_id_var = 'v_attribute_options_id_' . $attribute_options_count;

                        while (isset($$v_attribute_options_id_var) && !empty($$v_attribute_options_id_var)) {
                                // remove product attribute options linked to this product before proceeding further
                                // this is useful for removing attributes linked to a product
                                $attributes_clean_query = "delete from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . (int)$v_products_id . "' and options_id = '" . (int)$$v_attribute_options_id_var . "'";

                                tep_db_query($attributes_clean_query);

                                $attribute_options_query = "select products_options_name from " . TABLE_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$$v_attribute_options_id_var . "'";

                                $attribute_options_values = tep_db_query($attribute_options_query);

                                // option table update begin
                                if ($attribute_rows == 1) {
                                        // insert into options table if no option exists
                                        if (tep_db_num_rows($attribute_options_values) <= 0) {
                                                for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                        $lid = $languages[$i]['id'];

                                                  $v_attribute_options_name_var = 'v_attribute_options_name_' . $attribute_options_count . '_' . $lid;

                                                        if (isset($$v_attribute_options_name_var)) {
                                                                $attribute_options_insert_query = "insert into " . TABLE_PRODUCTS_OPTIONS . " (products_options_id, language_id, products_options_name) values ('" . (int)$$v_attribute_options_id_var . "', '" . (int)$lid . "', '" . $$v_attribute_options_name_var . "')";

                                                                $attribute_options_insert = tep_db_query($attribute_options_insert_query);
                                                        }
                                                }
                                        } else { // update options table, if options already exists
                                                for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                        $lid = $languages[$i]['id'];

                                                        $v_attribute_options_name_var = 'v_attribute_options_name_' . $attribute_options_count . '_' . $lid;

                                                        if (isset($$v_attribute_options_name_var)) {
                                                                $attribute_options_update_lang_query = "select products_options_name from " . TABLE_PRODUCTS_OPTIONS . " where products_options_id = '" . (int)$$v_attribute_options_id_var . "' and language_id ='" . (int)$lid . "'";

                                                                $attribute_options_update_lang_values = tep_db_query($attribute_options_update_lang_query);

                                                                // if option name doesn't exist for particular language, insert value
                                                                if (tep_db_num_rows($attribute_options_update_lang_values) <= 0) {
                                                                        $attribute_options_lang_insert_query = "insert into " . TABLE_PRODUCTS_OPTIONS . " (products_options_id, language_id, products_options_name) values ('" . (int)$$v_attribute_options_id_var . "', '" . (int)$lid . "', '" . $$v_attribute_options_name_var . "')";

                                                                        $attribute_options_lang_insert = tep_db_query($attribute_options_lang_insert_query);
                                                                } else { // if option name exists for particular language, update table
                                                                        $attribute_options_update_query = "update " . TABLE_PRODUCTS_OPTIONS . " set products_options_name = '" . $$v_attribute_options_name_var . "' where products_options_id ='" . (int)$$v_attribute_options_id_var . "' and language_id = '" . (int)$lid . "'";

                                                                        $attribute_options_update = tep_db_query($attribute_options_update_query);
                                                                }
                                                        }
                                                }
                                        }
                                }
                                // option table update end

                                // product option values count
                                $attribute_values_count = 1;
                                $v_attribute_values_id_var = 'v_attribute_values_id_' . $attribute_options_count . '_' . $attribute_values_count;

                                while (isset($$v_attribute_values_id_var) && !empty($$v_attribute_values_id_var)) {
                                        $attribute_values_query = "select products_options_values_name from " . TABLE_PRODUCTS_OPTIONS_VALUES . " where products_options_values_id = '" . (int)$$v_attribute_values_id_var . "'";

                                        $attribute_values_values = tep_db_query($attribute_values_query);

                                        // options_values table update begin
                                        if ($attribute_rows == 1) {
                                                // insert into options_values table if no option exists
                                                if (tep_db_num_rows($attribute_values_values) <= 0) {
                                                        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                                $lid = $languages[$i]['id'];

                                                                $v_attribute_values_name_var = 'v_attribute_values_name_' . $attribute_options_count . '_' . $attribute_values_count . '_' . $lid;

                                                                if (isset($$v_attribute_values_name_var)) {
                                                                        $attribute_values_insert_query = "insert into " . TABLE_PRODUCTS_OPTIONS_VALUES . " (products_options_values_id, language_id, products_options_values_name) values ('" . (int)$$v_attribute_values_id_var . "', '" . (int)$lid . "', '" . $$v_attribute_values_name_var . "')";

                                                                        $attribute_values_insert = tep_db_query($attribute_values_insert_query);
                                                                }
                                                        }


                                                        // insert values to pov2po table
                                                        $attribute_values_pov2po_query = "insert into " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " (products_options_id, products_options_values_id) values ('" . (int)$$v_attribute_options_id_var . "', '" . (int)$$v_attribute_values_id_var . "')";

                                                        $attribute_values_pov2po = tep_db_query($attribute_values_pov2po_query);
                                                } else { // update options table, if options already exists
                                                        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
                                                                $lid = $languages[$i]['id'];

                                                                $v_attribute_values_name_var = 'v_attribute_values_name_' . $attribute_options_count . '_' . $attribute_values_count . '_' . $lid;

                                                                if (isset($$v_attribute_values_name_var)) {
                                                                        $attribute_values_update_lang_query = "select products_options_values_name from " . TABLE_PRODUCTS_OPTIONS_VALUES . " where products_options_values_id = '" . (int)$$v_attribute_values_id_var . "' and language_id ='" . (int)$lid . "'";

                                                                        $attribute_values_update_lang_values = tep_db_query($attribute_values_update_lang_query);

                                                                        // if options_values name doesn't exist for particular language, insert value
                                                                        if (tep_db_num_rows($attribute_values_update_lang_values) <= 0) {
                                                                                $attribute_values_lang_insert_query = "insert into " . TABLE_PRODUCTS_OPTIONS_VALUES . " (products_options_values_id, language_id, products_options_values_name) values ('" . (int)$$v_attribute_values_id_var . "', '" . (int)$lid . "', '" . $$v_attribute_values_name_var . "')";

                                                                                $attribute_values_lang_insert = tep_db_query($attribute_values_lang_insert_query);
                                                                        } else { // if options_values name exists for particular language, update table
                                                                                $attribute_values_update_query = "update " . TABLE_PRODUCTS_OPTIONS_VALUES . " set products_options_values_name = '" . $$v_attribute_values_name_var . "' where products_options_values_id ='" . (int)$$v_attribute_values_id_var . "' and language_id = '" . (int)$lid . "'";

                                                                                $attribute_values_update = tep_db_query($attribute_values_update_query);
                                                                        }
                                                                }
                                                        }
                                                }
                                        }
                                        // options_values table update end

                                        // options_values price update begin
										$v_attribute_values_price_var = 'v_attribute_values_price_' . $attribute_options_count . '_' . $attribute_values_count;

                                        if (isset($$v_attribute_values_price_var) && ($$v_attribute_values_price_var != '')) {
                                                $attribute_prices_query = "select options_values_price, price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . (int)$v_products_id . "' and options_id ='" . (int)$$v_attribute_options_id_var . "' and options_values_id = '" . (int)$$v_attribute_values_id_var . "'";

                                                $attribute_prices_values = tep_db_query($attribute_prices_query);

                                                $attribute_values_price_prefix = ($$v_attribute_values_price_var < 0) ? '-' : '+';

                                                // options_values_prices table update begin
                                                // insert into options_values_prices table if no price exists
                                                if (tep_db_num_rows($attribute_prices_values) <= 0) {
                                                        $attribute_prices_insert_query = "insert into " . TABLE_PRODUCTS_ATTRIBUTES . " (products_id, options_id, options_values_id, options_values_price, price_prefix) values ('" . (int)$v_products_id . "', '" . (int)$$v_attribute_options_id_var . "', '" . (int)$$v_attribute_values_id_var . "', '" . (float)$$v_attribute_values_price_var . "', '" . $attribute_values_price_prefix . "')";

                                                        $attribute_prices_insert = tep_db_query($attribute_prices_insert_query);
                                                } else { // update options table, if options already exists
                                                        $attribute_prices_update_query = "update " . TABLE_PRODUCTS_ATTRIBUTES . " set options_values_price = '" . $$v_attribute_values_price_var . "', price_prefix = '" . $attribute_values_price_prefix . "' where products_id = '" . (int)$v_products_id . "' and options_id = '" . (int)$$v_attribute_options_id_var . "' and options_values_id ='" . (int)$$v_attribute_values_id_var . "'";

                                                        $attribute_prices_update = tep_db_query($attribute_prices_update_query);
                                                }
                                        }
                                        // options_values price update end
//////// attributes stock add start
										if (EP_CONTRIB_QTPRO == 'true') {
										$v_attribute_values_stock_var = 'v_attribute_values_stock_' . $attribute_options_count . '_' . $attribute_values_count;
												if (isset($$v_attribute_values_stock_var) && ($$v_attribute_values_stock_var != '')) {
												$stock_attributes = $$v_attribute_options_id_var.'-'.$$v_attribute_values_id_var;
												$attribute_stock_query = tep_db_query("select products_stock_quantity from " . TABLE_PRODUCTS_STOCK . " where products_id = '" . (int)$v_products_id . "' and products_stock_attributes ='" . $stock_attributes . "'");		
													// insert into products_stock_quantity table if no stock exists
													if (tep_db_num_rows($attribute_stock_query) <= 0) {
														$attribute_stock_insert_query =tep_db_query("insert into " . TABLE_PRODUCTS_STOCK . " (products_id, products_stock_attributes, products_stock_quantity) values ('" . (int)$v_products_id . "', '" . $stock_attributes . "', '" . (int)$$v_attribute_values_stock_var . "')");
													} else { // update options table, if options already exists
														$attribute_stock_insert_query = tep_db_query("update " . TABLE_PRODUCTS_STOCK. " set products_stock_quantity = '" . (int)$$v_attribute_values_stock_var . "' where products_id = '" . (int)$v_products_id . "' and products_stock_attributes = '" . $stock_attributes . "'");
														// turn on stock tracking on products_options table
														$stock_tracking_query = tep_db_query("update " . TABLE_PRODUCTS_OPTIONS . " set products_options_track_stock = '1' where products_options_id = '" . (int)$$v_attribute_options_id_var . "'");
													}
												}
										}
//////// attributes stock add end	
                                        $attribute_values_count++;
                                        $v_attribute_values_id_var = 'v_attribute_values_id_' . $attribute_options_count . '_' . $attribute_values_count;
                                }
                                $attribute_options_count++;
                                $v_attribute_options_id_var = 'v_attribute_options_id_' . $attribute_options_count;
                        }
                        $attribute_rows++;
                }
                // VJ product attribs end

        } else {
                // this record was missing the product_model
                array_walk($items, 'print_el');
                echo "<p class=smallText>" . NO_NEW_PRODUCT_EP . "<br>";
                echo "<br>";
        }
// end of row insertion code
  } // end of EP for extra filed 
}


function ep_datoriser($date_time) {
	global $ep_date_format; // d-m-y etc..
	global $ep_raw_time; // user's prefered time (eg for specials to start) if no time in upload
	
	$raw_date_exist = preg_match("/^([0-2]0[0-9]{2}-[0-1][0-9]-[0-3][0-9])( [0-2][0-9]:[0-5][0-9]:[0-5][0-9]$)?/", $date_time);
	if (!$raw_date_exist) {
		// not raw... we can only assume it is an excel date..
		// separate dates from times
		$exist_time = preg_match("/^2?0?[0-9]?[0-9][\.\/-][0-3]?[0-9][\.\/-]2?0?[0-9]?[0-9] ([0-2]?[0-9]:[0-5][0-9]).*$/", $date_time, $excel_time); // no seconds..
		$exist_date = preg_match("/^(2?0?[0-9]?[0-9][\.\/-][0-3]?[0-9][\.\/-]2?0?[0-9]?[0-9]).*$/", $date_time, $excel_date);
		//echo $excel_time[1] . '<br >';
		//echo $excel_date[1] . '<br ><br />';
		// if (!zen_not_null($exist_date)) // we fail to get a date! error msg rqd, and/or substitute action??
		
		// check for which of 3 possible date separators we have..
		// this sucks, I know... but it works for now
		if (zen_not_null(strpos($excel_date[1], '-'))) $separator = '-';
		if (zen_not_null(strpos($excel_date[1], '.'))) $separator = '.';
		if (zen_not_null(strpos($excel_date[1], '/'))) $separator = '/';
		
		//echo 'separator is: ' . $separator . '<br />';
		$format_bits = explode('-', $ep_date_format);
		$date_bits = explode($separator, $excel_date[1]);
		foreach ($format_bits as $key => $bit) {
			$$bit = $date_bits[$key]; // $y = 05 or 2005, $m = 09 or 9, $d = 03 or 3 for eg. Can only work if d,m,y order from excel is same as config
			$$bit = strlen($$bit) < 2 ? '0' . $$bit : $$bit; // 4 is now 04 for eg. - expand this as a rudimentary check - should never occur on $y var
			$$bit = strlen($$bit) > 2 ? substr($$bit,-2, 2) : $$bit; // 2005 is now 05 - expand this as a rudimentary check - should only occur on $y var
			//echo $$bit . '<br />';
			// another rudimentary check could be for $m vals > 12 = error too!
		}
		// create default raw time... if user left space off, put it on..
		if (substr($ep_raw_time,0, 1) != ' ') $ep_raw_time = ' ' . $ep_raw_time;
		// is it really a raw time? if not, make it midnight..
		$exist_raw_time = preg_match("/ [0-2][0-9]:[0-5][0-9]:[0-5][0-9]/", $ep_raw_time); // true if is raw time
		$ep_raw_time = zen_not_null($exist_raw_time) ? $ep_raw_time : ' 00:00:00';
		
		// if time supplied from excel, use it instead..
		$ep_raw_time = zen_not_null($exist_time) ? ' ' . $excel_time[1] : $ep_raw_time;
		
		//echo '<br />'.$ep_raw_time . '<br />';
		$raw_date = '20' . $y . '-' . $m . '-' . $d . $ep_raw_time; // needs updating at the end of the century ;-)
		//echo $raw_date . '<br /><br />';
	} else {
		// the date is raw, so return it
		$raw_date = $date_time;
		//echo $date . ' is raw...<br />';
	}
	return $raw_date;
}

function write_debug_log($string) {
	global $ep_debug_log_path;
	$logFile = $ep_debug_log_path . 'ep_debug_log.txt';
  $fp = fopen($logFile,'ab');
  fwrite($fp, $string);
  fclose($fp);
  return;
}

function ep_query($query) {
	global $ep_debug_logging;
	global $ep_debug_logging_all;
	global $ep_stack_sql_error;
	$result = mysql_query($query);
	if (mysql_errno()) {
		$ep_stack_sql_error = true;
		echo "<BR> MySQL error ".mysql_errno().": ".mysql_error()."\nWhen executing:\n$query\n <BR>";
		if ($ep_debug_logging == true) {
			// langer - will add time & date..
			$string = "MySQL error ".mysql_errno().": ".mysql_error()."\nWhen executing:\n$query\n";
			write_debug_log($string);
		}
	} elseif ($ep_debug_logging_all == true) {
		$string = "MySQL PASSED\nWhen executing:\n$query\n";
		write_debug_log($string);
	}
	return $result;
}

require(DIR_WS_INCLUDES . 'application_bottom.php'); 
?>